QScintilla: QsciAbstractAPIs Class Reference

QScintilla 2.14.1

Public Member Functions | List of all members
QsciAbstractAPIs Class Referenceabstract

`#include <qsciabstractapis.h>`

Inherits QObject.

Inherited by QsciAPIs.

## Public Member Functions
| QsciAbstractAPIs (QsciLexer *lexer)
virtual | ~QsciAbstractAPIs ()
QsciLexer * | lexer () const
virtual void | updateAutoCompletionList (const QStringList &context, QStringList &list)=0
virtual void | autoCompletionSelected (const QString &selection)
virtual QStringList | callTips (const QStringList &context, int commas, QsciScintilla::CallTipsStyle style, QList< int > &shifts)=0

## Detailed Description

The QsciAbstractAPIs class represents the interface to the textual API information used in call tips and for auto-completion. A sub-class will provide the actual implementation of the interface.

API information is specific to a particular language lexer but can be shared by multiple instances of the lexer.

## Constructor & Destructor Documentation

## ◆ QsciAbstractAPIs()

QsciAbstractAPIs::QsciAbstractAPIs | ( | QsciLexer * | lexer | ) |

Constructs a QsciAbstractAPIs instance attached to lexer lexer. lexer becomes the instance's parent object although the instance can also be subsequently attached to other lexers.

## Member Function Documentation

## ◆ updateAutoCompletionList()

virtual void QsciAbstractAPIs::updateAutoCompletionList | ( | const QStringList & | context,
|  | QStringList & | list
| ) |  |
| pure virtual

Update the list list with API entries derived from context. context is the list of words in the text preceding the cursor position. The characters that make up a word and the characters that separate words are defined by the lexer. The last word is a partial word and may be empty if the user has just entered a word separator.

Implemented in QsciAPIs.

## ◆ autoCompletionSelected()

virtual void QsciAbstractAPIs::autoCompletionSelected | ( | const QString & | selection | ) |
| virtual

This is called when the user selects the entry selection from the auto-completion list. A sub-class can use this as a hint to provide more specific API entries in future calls to updateAutoCompletionList(). The default implementation does nothing.

Reimplemented in QsciAPIs.

## ◆ callTips()

virtual QStringList QsciAbstractAPIs::callTips | ( | const QStringList & | context,
|  | int | commas,
|  | QsciScintilla::CallTipsStyle | style,
|  | QList< int > & | shifts
| ) |  |
| pure virtual

Return the call tips valid for the context context. (Note that the last word of the context will always be empty.) commas is the number of commas the user has typed after the context and before the cursor position. The exact position of the list of call tips can be adjusted by specifying a corresponding left character shift in shifts. This is normally done to correct for any displayed context according to style.

See also
  updateAutoCompletionList()

Implemented in QsciAPIs.

QsciStyle::font
QFont font() const
Definition: qscistyle.h:131
QsciLexerIntelHex
The QsciLexerIntelHex class encapsulates the Scintilla Intel Hex lexer.
Definition: qscilexerintelhex.h:33
QsciScintilla::bytes
QByteArray bytes(int start, int end) const
QsciLexerOctave::keywords
const char * keywords(int set) const
QsciLexerJavaScript
The QsciLexerJavaScript class encapsulates the Scintilla JavaScript lexer.
Definition: qscilexerjavascript.h:33
QsciLexer::apis
QsciAbstractAPIs * apis() const
QsciLexerSpice::language
const char * language() const
Returns the name of the language.
QsciLexerJava::keywords
const char * keywords(int set) const
QsciLexerXML
The QsciLexerXML class encapsulates the Scintilla XML lexer.
Definition: qscilexerxml.h:32
QsciPrinter::printRange
virtual int printRange(QsciScintillaBase *qsb, QPainter &painter, int from=-1, int to=-1)
QsciLexerFortran77::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerCPP::refreshProperties
void refreshProperties()
QsciScintillaBase::SCN_CHARADDED
void SCN_CHARADDED(int charadded)
QsciScintilla::setAutoIndent
virtual void setAutoIndent(bool autoindent)
QsciLexerCSharp::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciScintilla::extraAscent
int extraAscent() const
QsciAPIs::apiPreparationFinished
void apiPreparationFinished()
QsciScintilla::userListActivated
void userListActivated(int id, const QString &string)
QsciLexerCSS::foldComments
bool foldComments() const
QsciLexerCoffeeScript::QsciLexerCoffeeScript
QsciLexerCoffeeScript(QObject *parent=0)
QsciScintilla::foldAll
virtual void foldAll(bool children=false)
QsciStyle::QsciStyle
QsciStyle(int style=-1)
QsciLexerTCL::keywords
const char * keywords(int set) const
QsciLexerMarkdown::defaultPaper
QColor defaultPaper(int style) const
QsciScintilla::isModified
bool isModified() const
QsciLexerAsm::foldSyntaxBased
bool foldSyntaxBased() const
QsciLexer::readProperties
virtual bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerCMake::foldAtElse
bool foldAtElse() const
QsciLexerCMake::language
const char * language() const
Returns the name of the language.
QsciLexerDiff::lexer
const char * lexer() const
QsciLexerSRec::lexer
const char * lexer() const
Returns the name of the lexer.
QsciLexerSQL::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciScintilla::setMargins
void setMargins(int margins)
QsciLexerCSS::blockEnd
const char * blockEnd(int *style=0) const
QsciAPIs::QsciAPIs
QsciAPIs(QsciLexer *lexer)
QsciLexerD::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciCommand::Command
Command
This enum defines the different commands that can be assigned to a key.
Definition: qscicommand.h:43
QsciLexerEDIFACT::~QsciLexerEDIFACT
virtual ~QsciLexerEDIFACT()
Destroys the QsciLexerEDIFACT instance.
QsciLexerBatch::QsciLexerBatch
QsciLexerBatch(QObject *parent=0)
QsciLexerEDIFACT::defaultColor
QColor defaultColor(int style) const
QsciScintilla::event
virtual bool event(QEvent *e)
\reimp
QsciLexerPO::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciScintilla::BraceMatch
BraceMatch
Definition: qsciscintilla.h:133
QsciLexerEDIFACT::lexer
const char * lexer() const
QsciScintilla::CallTipsBelowText
@ CallTipsBelowText
Call tips are placed below the text.
Definition: qsciscintilla.h:149
QsciLexerJSON::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerD::setFoldComments
virtual void setFoldComments(bool fold)
QsciLexerMarkdown::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerPerl::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciScintilla::AutoCompletionSource
AutoCompletionSource
This enum defines the different sources for auto-completion lists.
Definition: qsciscintilla.h:116
QsciLexerNASM::QsciLexerNASM
QsciLexerNASM(QObject *parent=0)
QsciScintilla::setAnnotationDisplay
void setAnnotationDisplay(AnnotationDisplay display)
QsciScintilla::setMarginOptions
void setMarginOptions(int options)
QsciScintilla::markerDefine
int markerDefine(const QImage &im, int markerNumber=-1)
QsciScintillaBase::SCN_INDICATORRELEASE
void SCN_INDICATORRELEASE(int position, int modifiers)
QsciLexerCoffeeScript::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciScintilla::setAutoCompletionFillupsEnabled
void setAutoCompletionFillupsEnabled(bool enabled)
QsciLexerHex::~QsciLexerHex
virtual ~QsciLexerHex()
Destroys the QsciLexerHex instance.
QsciScintilla::setCaretLineBackgroundColor
virtual void setCaretLineBackgroundColor(const QColor &col)
QsciScintilla::annotate
void annotate(int line, const QsciStyledText &text)
Annotate the line line with the styled text text.
QsciLexerCoffeeScript::blockStartKeyword
const char * blockStartKeyword(int *style=0) const
QsciScintilla::getCursorPosition
void getCursorPosition(int *line, int *index) const
QsciScintilla::setMarginSensitivity
virtual void setMarginSensitivity(int margin, bool sens)
QsciScintilla::annotate
void annotate(int line, const QList< QsciStyledText > &text)
Annotate the line line with the list of styled text text.
QsciLexerCMake::description
QString description(int style) const
QsciLexerCPP::description
QString description(int style) const
QsciLexerProperties::QsciLexerProperties
QsciLexerProperties(QObject *parent=0)
QsciLexerSpice::defaultColor
QColor defaultColor(int style) const
QsciLexerCSharp::keywords
const char * keywords(int set) const
QsciScintillaBase::replaceVerticalScrollBar
void replaceVerticalScrollBar(QScrollBar *scrollBar)
QsciLexerIntelHex::lexer
const char * lexer() const
Returns the name of the lexer.
QsciLexerCPP::QsciLexerCPP
QsciLexerCPP(QObject *parent=0, bool caseInsensitiveKeywords=false)
QsciLexerPerl::autoCompletionWordSeparators
QStringList autoCompletionWordSeparators() const
QsciLexerPostScript::foldCompact
bool foldCompact() const
QsciLexerEDIFACT
The QsciLexerEDIFACT class encapsulates the Scintilla EDIFACT lexer.
Definition: qscilexeredifact.h:32
QsciLexerFortran77
The QsciLexerFortran77 class encapsulates the Scintilla Fortran77 lexer.
Definition: qscilexerfortran77.h:33
QsciScintillaBase::SCN_INDICATORCLICK
void SCN_INDICATORCLICK(int position, int modifiers)
QsciLexerBash::foldCompact
bool foldCompact() const
QsciLexerRuby::defaultPaper
QColor defaultPaper(int style) const
QsciScintilla::setMarginWidth
virtual void setMarginWidth(int margin, int width)
QsciLexerTeX
The QsciLexerTeX class encapsulates the Scintilla TeX lexer.
Definition: qscilexertex.h:32
QsciLexerCMake::QsciLexerCMake
QsciLexerCMake(QObject *parent=0)
QsciLexerMatlab::lexer
const char * lexer() const
QsciLexerCPP::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerCoffeeScript::defaultPaper
QColor defaultPaper(int style) const
QsciLexerYAML::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerPO::language
const char * language() const
Returns the name of the language.
QsciLexerBash::defaultColor
QColor defaultColor(int style) const
QsciLexerCSS
The QsciLexerCSS class encapsulates the Scintilla CSS lexer.
Definition: qscilexercss.h:32
QsciLexerD::defaultPaper
QColor defaultPaper(int style) const
QsciLexerCoffeeScript::defaultColor
QColor defaultColor(int style) const
QsciStyle::color
QColor color() const
Definition: qscistyle.h:109
QsciLexerD::language
const char * language() const
Returns the name of the language.
QsciLexerVerilog::foldPreprocessor
bool foldPreprocessor() const
Definition: qscilexerverilog.h:213
QsciLexer::setAPIs
void setAPIs(QsciAbstractAPIs *apis)
QsciLexerMakefile::lexer
const char * lexer() const
QsciLexerCoffeeScript::setDollarsAllowed
void setDollarsAllowed(bool allowed)
QsciScintilla::resetFoldMarginColors
void resetFoldMarginColors()
QsciLexerBash::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciLexerVHDL::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerTeX::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerSQL::refreshProperties
void refreshProperties()
QsciLexerJSON::lexer
const char * lexer() const
QsciLexerPascal::description
QString description(int style) const
QsciScintilla::indicatorDefine
int indicatorDefine(IndicatorStyle style, int indicatorNumber=-1)
QsciScintilla::NoBraceMatch
@ NoBraceMatch
Brace matching is disabled.
Definition: qsciscintilla.h:135
QsciLexerCMake::defaultPaper
QColor defaultPaper(int style) const
QsciLexerSQL::defaultPaper
QColor defaultPaper(int style) const
QsciLexerPython::setV3BytesAllowed
void setV3BytesAllowed(bool allowed)
QsciLexerSQL::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciLexerXML::language
const char * language() const
Returns the name of the language.
QsciLexerPerl::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerCPP::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciScintillaBase::dragMoveEvent
virtual void dragMoveEvent(QDragMoveEvent *e)
Re-implemented to handle drag moves.
QsciLexer::setAutoIndentStyle
virtual void setAutoIndentStyle(int autoindentstyle)
QsciScintillaBase::SC_MARK_CIRCLEMINUSCONNECTED
@ SC_MARK_CIRCLEMINUSCONNECTED
A drawn minus sign in a connected circle.
Definition: qsciscintillabase.h:2631
QsciScintilla::clear
virtual void clear()
Deletes all the text in the text edit.
QsciLexerVHDL::foldAtParenthesis
bool foldAtParenthesis() const
QsciLexerSQL::foldOnlyBegin
bool foldOnlyBegin() const
Definition: qscilexersql.h:206
QsciStyle::QsciStyle
QsciStyle(int style, const QString &description, const QColor &color, const QColor &paper, const QFont &font, bool eolFill=false)
QsciLexerMASM::lexer
const char * lexer() const
Returns the name of the lexer.
QsciScintilla::callTipsVisible
int callTipsVisible() const
Definition: qsciscintilla.h:653
QsciLexerD::lexer
const char * lexer() const
QsciLexerCoffeeScript::foldCompact
bool foldCompact() const
Definition: qscilexercoffeescript.h:214
QsciLexerSQL::language
const char * language() const
Returns the name of the language.
QsciLexerAVS::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerRuby::setFoldCompact
void setFoldCompact(bool fold)
QsciLexerAsm::QsciLexerAsm
QsciLexerAsm(QObject *parent=0)
QsciLexerPython::foldCompact
bool foldCompact() const
Definition: qscilexerpython.h:199
QsciLexerPerl::setFoldPODBlocks
void setFoldPODBlocks(bool fold)
QsciStyle::textCase
TextCase textCase() const
Definition: qscistyle.h:152
QsciLexerSpice::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciScintilla::text
QString text(int start, int end) const
QsciLexerSpice::QsciLexerSpice
QsciLexerSpice(QObject *parent=0)
QsciAPIs::prepare
void prepare()
QsciLexerOctave::lexer
const char * lexer() const
QsciScintilla::write
bool write(QIODevice *io) const
QsciLexerHTML::foldCompact
bool foldCompact() const
Definition: qscilexerhtml.h:440
QsciLexer::defaultStyle
virtual int defaultStyle() const
QsciLexerBash::foldComments
bool foldComments() const
QsciLexerPOV::QsciLexerPOV
QsciLexerPOV(QObject *parent=0)
QsciScintilla::copy
virtual void copy()
QsciLexerPO::foldComments
bool foldComments() const
QsciLexer::font
virtual QFont font(int style) const
QsciScintillaBase::SCN_FOCUSOUT
void SCN_FOCUSOUT()
This signal is emitted when focus is lost.
QsciAPIs::apiPreparationStarted
void apiPreparationStarted()
QsciLexerFortran77::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerPostScript::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciCommandSet::clearAlternateKeys
void clearAlternateKeys()
The alternate keys bindings for all commands are removed.
QsciLexerCSharp::description
QString description(int style) const
QsciScintilla::autoCompletionShowSingle
bool autoCompletionShowSingle() const
QsciLexerPostScript::QsciLexerPostScript
QsciLexerPostScript(QObject *parent=0)
QsciLexerRuby::setFoldComments
void setFoldComments(bool fold)
QsciLexerXML::QsciLexerXML
QsciLexerXML(QObject *parent=0)
QsciLexerPascal::keywords
const char * keywords(int set) const
QsciScintilla::tabDrawMode
TabDrawMode tabDrawMode() const
QsciLexerTeX::defaultColor
QColor defaultColor(int style) const
Returns the foreground colour of the text for style number style.
QsciLexerJavaScript::description
QString description(int style) const
QsciLexer::autoCompletionFillups
virtual const char * autoCompletionFillups() const
Returns the characters that can fill up auto-completion.
QsciScintilla::setIndentationsUseTabs
virtual void setIndentationsUseTabs(bool tabs)
QsciDocument
The QsciDocument class represents a document to be edited.
Definition: qscidocument.h:38
QsciLexerAVS::description
QString description(int style) const
QsciStyle::changeable
bool changeable() const
Definition: qscistyle.h:173
QsciScintillaBase::SC_MARK_BOOKMARK
@ SC_MARK_BOOKMARK
A bookmark.
Definition: qsciscintillabase.h:2664
QsciScintillaBase::SC_MARK_SHORTARROW
@ SC_MARK_SHORTARROW
An arrow pointing to the right.
Definition: qsciscintillabase.h:2576
QsciLexerIDL
The QsciLexerIDL class encapsulates the Scintilla IDL lexer.
Definition: qscilexeridl.h:33
QsciLexerRuby::blockStart
const char * blockStart(int *style=0) const
QsciLexerJavaScript::keywords
const char * keywords(int set) const
QsciLexerPython::language
const char * language() const
Returns the name of the language.
QsciScintilla::cancelList
void cancelList()
Cancel any current auto-completion or user defined list.
QsciScintillaBase::SC_MARGIN_SYMBOL
@ SC_MARGIN_SYMBOL
Definition: qsciscintillabase.h:2690
QsciScintilla::lexer
QsciLexer * lexer() const
QsciLexerSQL::dottedWords
bool dottedWords() const
Definition: qscilexersql.h:174
QsciLexer::styleBitsNeeded
virtual int styleBitsNeeded() const
QsciScintilla::resetSelectionBackgroundColor
virtual void resetSelectionBackgroundColor()
QsciLexerRuby::blockStartKeyword
const char * blockStartKeyword(int *style=0) const
QsciScintilla::FoldStyle
FoldStyle
This enum defines the different styles for the folding margin.
Definition: qsciscintilla.h:209
QsciLexerCSS::SCSSLanguage
bool SCSSLanguage() const
Definition: qscilexercss.h:207
QsciLexerPython::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciScintillaBase::SC_MARK_ARROWS
@ SC_MARK_ARROWS
Three drawn arrows pointing right.
Definition: qsciscintillabase.h:2641
QsciLexerPerl::lexer
const char * lexer() const
QsciLexerPostScript::level
int level() const
QsciLexerCPP::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciLexer::QsciLexer
QsciLexer(QObject *parent=0)
QsciScintilla::wheelEvent
virtual void wheelEvent(QWheelEvent *e)
\reimp
QsciLexerAsm::setCommentDelimiter
virtual void setCommentDelimiter(QChar delimeter)
QsciLexerHTML::makoTemplates
bool makoTemplates() const
Definition: qscilexerhtml.h:478
QsciLexerPython::v2UnicodeAllowed
bool v2UnicodeAllowed() const
Definition: qscilexerpython.h:246
QsciScintilla::whitespaceSize
int whitespaceSize() const
QsciLexerBash::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerCustom
The QsciLexerCustom class is an abstract class used as a base for new language lexers.
Definition: qscilexercustom.h:43
QsciLexerAVS::lexer
const char * lexer() const
QsciStyle::setTextCase
void setTextCase(TextCase text_case)
QsciLexerVerilog::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciScintilla::WrapFlagByBorder
@ WrapFlagByBorder
A wrap flag is displayed by the border.
Definition: qsciscintilla.h:501
QsciScintillaBase::SC_MARK_CIRCLEMINUS
@ SC_MARK_CIRCLEMINUS
A drawn minus sign in a circle.
Definition: qsciscintillabase.h:2628
QsciLexerJavaScript::~QsciLexerJavaScript
virtual ~QsciLexerJavaScript()
Destroys the QsciLexerJavaScript instance.
QsciLexerBatch::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciLexerBash::~QsciLexerBash
virtual ~QsciLexerBash()
Destroys the QsciLexerBash instance.
QsciAPIs::installedAPIFiles
QStringList installedAPIFiles() const
QsciLexerSQL::foldComments
bool foldComments() const
Definition: qscilexersql.h:190
QsciScintillaBase::SC_MARK_UNDERLINE
@ SC_MARK_UNDERLINE
The line is underlined using the marker's background color.
Definition: qsciscintillabase.h:2658
QsciLexerBash::setFoldComments
virtual void setFoldComments(bool fold)
QsciLexerVerilog::language
const char * language() const
Returns the name of the language.
QsciScintilla::setMarkerBackgroundColor
void setMarkerBackgroundColor(const QColor &col, int markerNumber=-1)
QsciLexerPerl::blockEnd
const char * blockEnd(int *style=0) const
QsciAbstractAPIs::QsciAbstractAPIs
QsciAbstractAPIs(QsciLexer *lexer)
QsciScintilla::zoomOut
virtual void zoomOut()
QsciLexerPostScript::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciLexerPostScript::tokenize
bool tokenize() const
QsciCommand::command
Command command() const
Return the command that will be executed by this instance.
Definition: qscicommand.h:348
QsciLexerTCL::lexer
const char * lexer() const
QsciLexerTeX::refreshProperties
void refreshProperties()
QsciLexerSQL::description
QString description(int style) const
QsciLexerCoffeeScript::refreshProperties
void refreshProperties()
QsciLexerBash::QsciLexerBash
QsciLexerBash(QObject *parent=0)
QsciScintilla::setWhitespaceVisibility
virtual void setWhitespaceVisibility(WhitespaceVisibility mode)
QsciLexerCoffeeScript::language
const char * language() const
Returns the name of the language.
QsciLexerCPP::foldPreprocessor
bool foldPreprocessor() const
Definition: qscilexercpp.h:247
QsciScintilla::isCallTipActive
bool isCallTipActive() const
Returns true if a call tip is currently active.
QsciLexer::paperChanged
void paperChanged(const QColor &c, int style)
QsciLexerPostScript::setFoldAtElse
virtual void setFoldAtElse(bool fold)
QsciPrinter::setMagnification
virtual void setMagnification(int magnification)
QsciScintilla::setIndentationGuides
virtual void setIndentationGuides(bool enable)
QsciLexerPerl::foldCompact
bool foldCompact() const
QsciLexerCPP::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciScintilla::setSelectionBackgroundColor
virtual void setSelectionBackgroundColor(const QColor &col)
QsciScintilla::setAutoCompletionSource
virtual void setAutoCompletionSource(AutoCompletionSource source)
QsciLexerD::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciScintilla::selectionToEol
bool selectionToEol() const
QsciLexerVHDL::defaultColor
QColor defaultColor(int style) const
QsciLexerCMake::refreshProperties
void refreshProperties()
QsciLexerCoffeeScript::dollarsAllowed
bool dollarsAllowed() const
Definition: qscilexercoffeescript.h:192
QsciLexerHex
The abstract QsciLexerHex class encapsulates the Scintilla Hex lexer.
Definition: qscilexerhex.h:33
QsciScintilla::marginRightClicked
void marginRightClicked(int margin, int line, Qt::KeyboardModifiers state)
QsciLexerPython::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciCommand::execute
void execute()
Execute the command.
QsciLexerYAML::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerCoffeeScript::blockStart
const char * blockStart(int *style=0) const
QsciLexerRuby::refreshProperties
void refreshProperties()
QsciAPIs::autoCompletionSelected
virtual void autoCompletionSelected(const QString &sel)
\reimp
QsciLexerCSS::keywords
const char * keywords(int set) const
QsciLexer
The QsciLexer class is an abstract class used as a base for language lexers.
Definition: qscilexer.h:63
QsciLexerBash::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciScintilla::setMarginText
void setMarginText(int line, const QsciStyledText &text)
Set the margin text of line line with the styled text text.
QsciLexerMakefile::language
const char * language() const
Returns the name of the language.
QsciScintillaBase::SCN_FOCUSIN
void SCN_FOCUSIN()
This signal is emitted when focus is received.
QsciLexerMarkdown::QsciLexerMarkdown
QsciLexerMarkdown(QObject *parent=0)
QsciScintilla::wrapMode
WrapMode wrapMode() const
QsciLexerTCL::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerPostScript
The QsciLexerPostScript class encapsulates the Scintilla PostScript lexer.
Definition: qscilexerpostscript.h:33
QsciScintilla::setMarkerForegroundColor
void setMarkerForegroundColor(const QColor &col, int markerNumber=-1)
QsciLexerBash::refreshProperties
void refreshProperties()
QsciLexerJSON::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciScintillaBase::SCN_DOUBLECLICK
void SCN_DOUBLECLICK(int position, int line, int modifiers)
QsciScintilla::indicatorReleased
void indicatorReleased(int line, int index, Qt::KeyboardModifiers state)
QsciLexerD::autoCompletionWordSeparators
QStringList autoCompletionWordSeparators() const
QsciLexerMASM::language
const char * language() const
Returns the name of the language.
QsciScintilla::EolMode
EolMode
This enum defines the different end-of-line modes.
Definition: qsciscintilla.h:197
QsciLexerCPP::foldAtElse
bool foldAtElse() const
Definition: qscilexercpp.h:232
QsciScintillaBase::dragEnterEvent
virtual void dragEnterEvent(QDragEnterEvent *e)
Re-implemented to handle drag enters.
QsciScintillaBase::SC_MARK_BOXMINUSCONNECTED
@ SC_MARK_BOXMINUSCONNECTED
A drawn minus sign in a connected box.
Definition: qsciscintillabase.h:2611
QsciScintilla::WhitespaceVisibility
WhitespaceVisibility
Definition: qsciscintilla.h:463
QsciScintilla::markerDeleteHandle
void markerDeleteHandle(int mhandle)
QsciLexerPerl::~QsciLexerPerl
virtual ~QsciLexerPerl()
Destroys the QsciLexerPerl instance.
QsciLexerTekHex::description
QString description(int style) const
QsciStyledText::QsciStyledText
QsciStyledText(const QString &text, const QsciStyle &style)
QsciLexerCPP::setHighlightHashQuotedStrings
void setHighlightHashQuotedStrings(bool enabled)
QsciCommand::key
int key() const
Definition: qscicommand.h:377
QsciLexerJava
The QsciLexerJava class encapsulates the Scintilla Java lexer.
Definition: qscilexerjava.h:32
QsciLexerPython::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciStyle::description
QString description() const
Definition: qscistyle.h:98
QsciLexer::defaultPaper
QColor defaultPaper() const
QsciStyle::hotspot
bool hotspot() const
Definition: qscistyle.h:184
QsciAbstractAPIs::autoCompletionSelected
virtual void autoCompletionSelected(const QString &selection)
QsciScintillaBase::mouseReleaseEvent
virtual void mouseReleaseEvent(QMouseEvent *e)
Re-implemented to handle mouse releases.
QsciScintilla::findFirstInSelection
virtual bool findFirstInSelection(const QString &expr, bool re, bool cs, bool wo, bool forward=true, bool show=true, bool posix=false, bool cxx11=false)
QsciLexerVerilog
The QsciLexerVerilog class encapsulates the Scintilla Verilog lexer.
Definition: qscilexerverilog.h:33
QsciLexerPOV::keywords
const char * keywords(int set) const
QsciScintillaBase::SC_MARK_CIRCLEPLUS
@ SC_MARK_CIRCLEPLUS
A drawn plus sign in a circle.
Definition: qsciscintillabase.h:2622
QsciLexerAsm::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerProperties::defaultPaper
QColor defaultPaper(int style) const
QsciScintilla::selectionChanged
void selectionChanged()
QsciLexerHTML::setFoldScriptComments
void setFoldScriptComments(bool fold)
QsciLexerYAML::defaultPaper
QColor defaultPaper(int style) const
QsciLexerSQL::hashComments
bool hashComments() const
Definition: qscilexersql.h:218
QsciScintilla::indicatorDrawUnder
bool indicatorDrawUnder(int indicatorNumber) const
QsciLexerRuby::defaultColor
QColor defaultColor(int style) const
QsciLexerD::defaultColor
QColor defaultColor(int style) const
QsciScintillaBase::SCN_AUTOCSELECTION
void SCN_AUTOCSELECTION(const char *selection, int position, int ch, int method)
QsciLexerBatch::~QsciLexerBatch
virtual ~QsciLexerBatch()
Destroys the QsciLexerBatch instance.
QsciLexerSQL
The QsciLexerSQL class encapsulates the Scintilla SQL lexer.
Definition: qscilexersql.h:32
QsciLexerHTML::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciScintilla::indentationsUseTabs
bool indentationsUseTabs() const
QsciScintilla::length
int length() const
QsciScintilla::setAutoCompletionCaseSensitivity
virtual void setAutoCompletionCaseSensitivity(bool cs)
QsciScintilla::createStandardContextMenu
QMenu * createStandardContextMenu()
QsciScintilla::unindent
virtual void unindent(int line)
QsciScintilla::replaceSelectedText
virtual void replaceSelectedText(const QString &text)
QsciScintilla::setWhitespaceBackgroundColor
void setWhitespaceBackgroundColor(const QColor &col)
QsciScintilla::modificationAttempted
void modificationAttempted()
QsciLexerPostScript::setTokenize
virtual void setTokenize(bool tokenize)
QsciLexerRuby::language
const char * language() const
Returns the name of the language.
QsciScintillaBase::SC_MARGIN_BACK
@ SC_MARGIN_BACK
Definition: qsciscintillabase.h:2697
QsciLexerFortran77::refreshProperties
void refreshProperties()
QsciLexerHTML::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerCMake::lexer
const char * lexer() const
QsciScintillaBase::SC_MARK_ARROWDOWN
@ SC_MARK_ARROWDOWN
A triangle pointing down.
Definition: qsciscintillabase.h:2583
QsciLexerJSON::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerCPP::lexer
const char * lexer() const
QsciMacro::save
QString save() const
QsciLexerMASM::QsciLexerMASM
QsciLexerMASM(QObject *parent=0)
QsciLexerCMake::keywords
const char * keywords(int set) const
QsciLexerTeX::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciScintilla::markerDefine
int markerDefine(const QPixmap &pm, int markerNumber=-1)
QsciScintilla::markerDeleteAll
void markerDeleteAll(int markerNumber=-1)
QsciStyle::setPaper
void setPaper(const QColor &paper)
QsciStyledText::text
const QString & text() const
Returns a reference to the text.
Definition: qscistyledtext.h:50
QsciAPIs::clear
void clear()
QsciScintillaBase::SC_MARGIN_TEXT
@ SC_MARGIN_TEXT
The margin will display text.
Definition: qsciscintillabase.h:2704
QsciLexerLua::refreshProperties
void refreshProperties()
QsciScintilla::isWordCharacter
bool isWordCharacter(char ch) const
QsciScintillaBase::SC_MARK_TCORNER
@ SC_MARK_TCORNER
Definition: qsciscintillabase.h:2599
QsciLexerD::foldCompact
bool foldCompact() const
QsciLexerPascal::foldPreprocessor
bool foldPreprocessor() const
QsciLexerFortran77::defaultPaper
QColor defaultPaper(int style) const
QsciLexerAVS::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciScintilla::setCallTipsStyle
void setCallTipsStyle(CallTipsStyle style)
QsciStyle::visible
bool visible() const
Definition: qscistyle.h:162
QsciLexerJSON::language
const char * language() const
Returns the name of the language.
QsciLexerPython::indentationGuideView
virtual int indentationGuideView() const
Returns the view used for indentation guides.
QsciLexerD::blockStartKeyword
const char * blockStartKeyword(int *style=0) const
QsciScintilla::insert
virtual void insert(const QString &text)
Insert the text text at the current position.
QsciLexerVHDL::setFoldAtParenthesis
virtual void setFoldAtParenthesis(bool fold)
QsciLexerMatlab::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciStyle::setHotspot
void setHotspot(bool hotspot)
QsciAPIs::~QsciAPIs
virtual ~QsciAPIs()
Destroy the QsciAPIs instance.
QsciScintilla::contractedFolds
QList< int > contractedFolds() const
QsciLexerD::QsciLexerD
QsciLexerD(QObject *parent=0)
QsciLexerJSON::highlightComments
bool highlightComments() const
Definition: qscilexerjson.h:134
QsciLexerPostScript::keywords
const char * keywords(int set) const
QsciLexerXML::refreshProperties
void refreshProperties()
QsciLexerVHDL::description
QString description(int style) const
QsciLexerRuby::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, unsigned long wParam, const QPixmap &lParam) const
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciLexerCPP::language
const char * language() const
Returns the name of the language.
QsciScintilla::changeEvent
virtual void changeEvent(QEvent *e)
\reimp
QsciLexerCoffeeScript::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerMarkdown
The QsciLexerMarkdown class encapsulates the Scintilla Markdown lexer.
Definition: qscilexermarkdown.h:33
QsciLexerPerl::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerPython::blockLookback
int blockLookback() const
QsciScintilla::selectAll
virtual void selectAll(bool select=true)
QsciScintilla::markerLine
int markerLine(int mhandle) const
QsciScintilla::setScrollWidthTracking
void setScrollWidthTracking(bool enabled)
QsciLexerSQL::~QsciLexerSQL
virtual ~QsciLexerSQL()
Destroys the QsciLexerSQL instance.
QsciScintillaBase::SC_MARK_CIRCLEPLUSCONNECTED
@ SC_MARK_CIRCLEPLUSCONNECTED
A drawn plus sign in a connected box.
Definition: qsciscintillabase.h:2625
QsciScintilla::NoFoldStyle
@ NoFoldStyle
Folding is disabled.
Definition: qsciscintilla.h:211
QsciLexerVerilog::foldAtModule
bool foldAtModule() const
Definition: qscilexerverilog.h:223
QsciLexerProperties::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerPOV::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciScintilla::setCallTipsVisible
void setCallTipsVisible(int nr)
QsciLexerMarkdown::~QsciLexerMarkdown
virtual ~QsciLexerMarkdown()
Destroys the QsciLexerMarkdown instance.
QsciScintillaBase::SC_MARK_VLINE
@ SC_MARK_VLINE
A vertical line drawn in the background colour.
Definition: qsciscintillabase.h:2592
QsciScintilla::insertAt
virtual void insertAt(const QString &text, int line, int index)
QsciScintillaBase::SendScintillaPtrResult
void * SendScintillaPtrResult(unsigned int msg) const
Send the Scintilla message msg and return a pointer result.
QsciScintilla::setEdgeColumn
void setEdgeColumn(int colnr)
QsciLexerHTML::caseSensitiveTags
bool caseSensitiveTags() const
Definition: qscilexerhtml.h:424
QsciLexerCSS::setSCSSLanguage
void setSCSSLanguage(bool enabled)
QsciLexerCMake::defaultColor
QColor defaultColor(int style) const
QsciScintilla::linesChanged
void linesChanged()
This signal is emitted whenever the number of lines of text changes.
QsciMacro::load
bool load(const QString &asc)
QsciLexerAsm::foldComments
bool foldComments() const
QsciLexerHTML::foldScriptHeredocs
bool foldScriptHeredocs() const
Definition: qscilexerhtml.h:467
QsciLexerTeX::setProcessComments
void setProcessComments(bool enable)
QsciLexerCustom::QsciLexerCustom
QsciLexerCustom(QObject *parent=0)
QsciLexerYAML::lexer
const char * lexer() const
QsciLexerFortran77::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerAVS::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciScintilla::setWrapVisualFlags
void setWrapVisualFlags(WrapVisualFlag endFlag, WrapVisualFlag startFlag=WrapFlagNone, int indent=0)
QsciLexerFortran::lexer
const char * lexer() const
QsciScintilla::eolVisibility
bool eolVisibility() const
QsciLexerHTML::setCaseSensitiveTags
virtual void setCaseSensitiveTags(bool sens)
QsciScintilla::setAutoCompletionShowSingle
virtual void setAutoCompletionShowSingle(bool single)
QsciScintilla::setTabWidth
virtual void setTabWidth(int width)
QsciPrinter::setWrapMode
virtual void setWrapMode(QsciScintilla::WrapMode wmode)
QsciLexerPython::highlightSubidentifiers
bool highlightSubidentifiers() const
Definition: qscilexerpython.h:223
QsciLexerOctave
The QsciLexerOctave class encapsulates the Scintilla Octave file lexer.
Definition: qscilexeroctave.h:33
QsciLexerSRec::language
const char * language() const
Returns the name of the language.
QsciScintillaBase::SCN_HOTSPOTRELEASECLICK
void SCN_HOTSPOTRELEASECLICK(int position, int modifiers)
QsciScintilla::edgeColor
QColor edgeColor() const
QsciScintilla::PlainFoldStyle
@ PlainFoldStyle
Plain folding style using plus and minus symbols.
Definition: qsciscintilla.h:214
QsciLexerRuby::keywords
const char * keywords(int set) const
QsciScintilla::StrictBraceMatch
@ StrictBraceMatch
Definition: qsciscintilla.h:139
QsciScintillaBase::SCN_URIDROPPED
void SCN_URIDROPPED(const QUrl &url)
QsciAPIs::callTips
virtual QStringList callTips(const QStringList &context, int commas, QsciScintilla::CallTipsStyle style, QList< int > &shifts)
\reimp
QsciScintilla::markerAdd
int markerAdd(int linenr, int markerNumber)
QsciLexerCustom::setEditor
virtual void setEditor(QsciScintilla *editor)
\reimp
QsciScintilla::setFolding
virtual void setFolding(FoldStyle fold, int margin=2)
QsciLexerXML::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerPython::refreshProperties
void refreshProperties()
QsciLexerAsm::commentDelimiter
QChar commentDelimiter() const
QsciLexerTekHex::QsciLexerTekHex
QsciLexerTekHex(QObject *parent=0)
QsciScintilla::setIndicatorForegroundColor
void setIndicatorForegroundColor(const QColor &col, int indicatorNumber=-1)
QsciLexerYAML::defaultColor
QColor defaultColor(int style) const
QsciLexerTekHex
The QsciLexerTekHex class encapsulates the Scintilla Tektronix Hex lexer.
Definition: qscilexertekhex.h:33
QsciScintilla::marginMarkerMask
int marginMarkerMask(int margin) const
QsciLexer::autoCompletionWordSeparators
virtual QStringList autoCompletionWordSeparators() const
QsciScintilla::setMarginLineNumbers
virtual void setMarginLineNumbers(int margin, bool lnrs)
QsciScintilla::isReadOnly
bool isReadOnly() const
QsciLexerHTML::setFoldScriptHeredocs
void setFoldScriptHeredocs(bool fold)
QsciLexerRuby::lexer
const char * lexer() const
QsciLexerHTML::defaultColor
QColor defaultColor(int style) const
QsciLexerHex::description
QString description(int style) const
QsciAPIs::remove
void remove(const QString &entry)
QsciLexerProperties::foldCompact
bool foldCompact() const
Definition: qscilexerproperties.h:104
QsciScintilla::setCaretForegroundColor
virtual void setCaretForegroundColor(const QColor &col)
Sets the foreground colour of the caret to col.
QsciLexerSQL::setHashComments
void setHashComments(bool enable)
QsciScintilla::paste
virtual void paste()
QsciScintilla::showUserList
void showUserList(int id, const QStringList &list)
QsciLexerSQL::backslashEscapes
bool backslashEscapes() const
Definition: qscilexersql.h:163
QsciScintilla::indentationGuides
bool indentationGuides() const
QsciLexerAsm
The abstract QsciLexerAsm class encapsulates the Scintilla Asm lexer.
Definition: qscilexerasm.h:34
QsciScintilla::undo
virtual void undo()
QsciScintillaBase::SC_MARK_CIRCLE
@ SC_MARK_CIRCLE
A circle.
Definition: qsciscintillabase.h:2564
QsciLexerLua::~QsciLexerLua
virtual ~QsciLexerLua()
Destroys the QsciLexerLua instance.
QsciAbstractAPIs::lexer
QsciLexer * lexer() const
Return the lexer that the instance is attached to.
QsciLexerAVS::setFoldComments
virtual void setFoldComments(bool fold)
QsciLexerD::description
QString description(int style) const
QsciLexer::setDefaultFont
void setDefaultFont(const QFont &f)
QsciLexerVHDL::setFoldAtElse
virtual void setFoldAtElse(bool fold)
QsciLexer::autoIndentStyle
int autoIndentStyle()
QsciLexerCSharp
The QsciLexerCSharp class encapsulates the Scintilla C# lexer.
Definition: qscilexercsharp.h:33
QsciScintilla::recolor
virtual void recolor(int start=0, int end=-1)
QsciScintilla::setScrollWidth
void setScrollWidth(int pixelWidth)
QsciScintilla::caseSensitive
bool caseSensitive() const
QsciScintilla::setEolVisibility
virtual void setEolVisibility(bool visible)
QsciScintilla::indentation
int indentation(int line) const
QsciLexerPOV::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerPOV::setFoldComments
virtual void setFoldComments(bool fold)
QsciScintilla::setSelectionForegroundColor
virtual void setSelectionForegroundColor(const QColor &col)
QsciLexerCMake::~QsciLexerCMake
virtual ~QsciLexerCMake()
Destroys the QsciLexerCMake instance.
QsciLexerBash::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciStyle
The QsciStyle class encapsulates all the attributes of a style.
Definition: qscistyle.h:42
QsciLexer::description
virtual QString description(int style) const =0
QsciStyle::eolFill
bool eolFill() const
Definition: qscistyle.h:141
QsciScintilla::replace
virtual void replace(const QString &replaceStr)
QsciLexerProperties::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciLexerTeX::setFoldCompact
void setFoldCompact(bool fold)
QsciPrinter::~QsciPrinter
virtual ~QsciPrinter()
Destroys the QsciPrinter instance.
QsciLexerPascal::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerLua::language
const char * language() const
Returns the name of the language.
QsciScintilla::AcusNever
@ AcusNever
Definition: qsciscintilla.h:102
QsciLexerTCL::defaultPaper
QColor defaultPaper(int style) const
QsciLexerPOV::setFoldDirectives
virtual void setFoldDirectives(bool fold)
QsciLexerVHDL::defaultPaper
QColor defaultPaper(int style) const
QsciScintilla::resetSelectionForegroundColor
virtual void resetSelectionForegroundColor()
QsciLexerFortran77::language
const char * language() const
Returns the name of the language.
QsciScintilla::autoCompletionCaseSensitivity
bool autoCompletionCaseSensitivity() const
QsciLexerPascal::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexer::indentationGuideView
virtual int indentationGuideView() const
Returns the view used for indentation guides.
QsciLexerMASM::~QsciLexerMASM
virtual ~QsciLexerMASM()
Destroys the QsciLexerMASM instance.
QsciLexerPascal::language
const char * language() const
Returns the name of the language.
QsciLexerHTML::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerSQL::QsciLexerSQL
QsciLexerSQL(QObject *parent=0)
QsciScintillaBase::SCN_MARGINCLICK
void SCN_MARGINCLICK(int position, int modifiers, int margin)
QsciScintilla::marginClicked
void marginClicked(int margin, int line, Qt::KeyboardModifiers state)
QsciLexerVerilog::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciMacro
The QsciMacro class represents a sequence of recordable editor commands.
Definition: qscimacro.h:41
QsciLexerHTML
The QsciLexerHTML class encapsulates the Scintilla HTML lexer.
Definition: qscilexerhtml.h:32
QsciLexerJSON::refreshProperties
void refreshProperties()
QsciScintilla::marginSensitivity
bool marginSensitivity(int margin) const
QsciLexerCoffeeScript::setFoldCompact
void setFoldCompact(bool fold)
QsciLexerPascal::lexer
const char * lexer() const
QsciStyle::setDescription
void setDescription(const QString &description)
Definition: qscistyle.h:93
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, const char *wParam, const char *lParam) const
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, unsigned long wParam, const QImage &lParam) const
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciLexerPerl::setFoldComments
virtual void setFoldComments(bool fold)
QsciLexerPascal::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerCoffeeScript::setStylePreprocessor
void setStylePreprocessor(bool style)
QsciLexerJSON::setFoldCompact
void setFoldCompact(bool fold)
QsciScintilla::autoCompleteFromAPIs
virtual void autoCompleteFromAPIs()
QsciScintilla::setIndentationWidth
virtual void setIndentationWidth(int width)
QsciLexerAsm::~QsciLexerAsm
virtual ~QsciLexerAsm()
Destroys the QsciLexerAsm instance.
QsciScintilla::resetHotspotForegroundColor
void resetHotspotForegroundColor()
QsciLexerCSS::refreshProperties
void refreshProperties()
QsciScintillaBase
The QsciScintillaBase class implements the Scintilla editor widget and its low-level API.
Definition: qsciscintillabase.h:61
QsciLexer::eolFill
virtual bool eolFill(int style) const
QsciScintilla::marginWidth
int marginWidth(int margin) const
QsciLexerPostScript::language
const char * language() const
Returns the name of the language.
QsciLexerJSON::~QsciLexerJSON
virtual ~QsciLexerJSON()
Destroys the QsciLexerJSON instance.
QsciScintilla::ensureCursorVisible
virtual void ensureCursorVisible()
Ensures that the cursor is visible.
QsciLexerBash::language
const char * language() const
Returns the name of the language.
QsciScintilla::getSelection
void getSelection(int *lineFrom, int *indexFrom, int *lineTo, int *indexTo) const
QsciLexerPascal::blockStart
const char * blockStart(int *style=0) const
QsciScintilla::ensureLineVisible
virtual void ensureLineVisible(int line)
Ensures that the line number line is visible.
QsciScintilla::TabDrawMode
TabDrawMode
Definition: qsciscintilla.h:452
QsciLexerCSharp::defaultColor
QColor defaultColor(int style) const
QsciScintillaBase::dropEvent
virtual void dropEvent(QDropEvent *e)
Re-implemented to handle drops.
QsciMacro::clear
void clear()
Clear the contents of the macro.
QsciLexerMakefile::QsciLexerMakefile
QsciLexerMakefile(QObject *parent=0)
QsciLexerAVS::language
const char * language() const
Returns the name of the language.
QsciLexerSQL::setFoldComments
virtual void setFoldComments(bool fold)
QsciScintilla::setWhitespaceForegroundColor
void setWhitespaceForegroundColor(const QColor &col)
QsciLexerD::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerPostScript::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciScintilla::copyAvailable
void copyAvailable(bool yes)
QsciScintillaBase::fromMimeData
virtual QByteArray fromMimeData(const QMimeData *source, bool &rectangular) const
QsciScintilla::setIndicatorDrawUnder
void setIndicatorDrawUnder(bool under, int indicatorNumber=-1)
QsciScintilla::findNext
virtual bool findNext()
QsciCommandSet::commands
QList< QsciCommand * > & commands()
The commands in the set are returned as a list.
Definition: qscicommandset.h:62
QsciScintilla::isUtf8
bool isUtf8() const
QsciLexerCSS::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciLexerYAML::refreshProperties
void refreshProperties()
QsciLexerPascal::foldComments
bool foldComments() const
QsciLexerPO::refreshProperties
void refreshProperties()
QsciScintilla::WrapMode
WrapMode
This enum defines the different line wrap modes.
Definition: qsciscintilla.h:478
QsciLexerVHDL::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciLexerHTML::autoCompletionFillups
const char * autoCompletionFillups() const
Returns the characters that can fill up auto-completion.
QsciScintilla::autoCompletionThreshold
int autoCompletionThreshold() const
Definition: qsciscintilla.h:604
QsciScintilla::setMarginBackgroundColor
void setMarginBackgroundColor(int margin, const QColor &col)
QsciLexerHTML::defaultPaper
QColor defaultPaper(int style) const
QsciScintilla::wrapIndentMode
WrapIndentMode wrapIndentMode() const
QsciPrinter::printRange
virtual int printRange(QsciScintillaBase *qsb, int from=-1, int to=-1)
QsciScintillaBase::SC_MARK_BOXMINUS
@ SC_MARK_BOXMINUS
A drawn minus sign in a box.
Definition: qsciscintillabase.h:2608
QsciLexerPOV::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciScintillaBase::SC_MARK_EMPTY
@ SC_MARK_EMPTY
Definition: qsciscintillabase.h:2580
QsciLexerBash::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerPascal::~QsciLexerPascal
virtual ~QsciLexerPascal()
Destroys the QsciLexerPascal instance.
QsciLexerAVS::~QsciLexerAVS
virtual ~QsciLexerAVS()
Destroys the QsciLexerAVS instance.
QsciScintilla::folding
FoldStyle folding() const
Definition: qsciscintilla.h:860
QsciLexerVHDL::language
const char * language() const
Returns the name of the language.
QsciScintilla::WrapFlagNone
@ WrapFlagNone
No wrap flag is displayed.
Definition: qsciscintilla.h:495
QsciScintilla::setIndicatorHoverForegroundColor
void setIndicatorHoverForegroundColor(const QColor &col, int indicatorNumber=-1)
QsciLexerCoffeeScript::foldComments
bool foldComments() const
Definition: qscilexercoffeescript.h:203
QsciLexerTeX::processComments
bool processComments() const
Definition: qscilexertex.h:122
QsciLexerCSS::HSSLanguage
bool HSSLanguage() const
Definition: qscilexercss.h:185
QsciLexer::setPaper
virtual void setPaper(const QColor &c, int style=-1)
QsciLexerProperties
The QsciLexerProperties class encapsulates the Scintilla Properties lexer.
Definition: qscilexerproperties.h:33
QsciLexerPython
The QsciLexerPython class encapsulates the Scintilla Python lexer.
Definition: qscilexerpython.h:33
QsciLexerCSS::defaultColor
QColor defaultColor(int style) const
Returns the foreground colour of the text for style number style.
QsciLexerPython::blockStart
const char * blockStart(int *style=0) const
QsciScintilla::autoCompletionFillupsEnabled
bool autoCompletionFillupsEnabled() const
QsciLexerPython::v3BytesAllowed
bool v3BytesAllowed() const
Definition: qscilexerpython.h:270
QsciCommandSet::readSettings
bool readSettings(QSettings &qs, const char *prefix="/Scintilla")
QsciLexerCPP::highlightEscapeSequences
bool highlightEscapeSequences() const
Definition: qscilexercpp.h:308
QsciLexerBatch::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerXML::keywords
const char * keywords(int set) const
QsciLexerVHDL::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerCustom::setStyling
void setStyling(int length, const QsciStyle &style)
QsciLexerHTML::description
QString description(int style) const
QsciAPIs::savePrepared
bool savePrepared(const QString &filename=QString()) const
QsciLexerPerl::defaultColor
QColor defaultColor(int style) const
QsciLexerCSS::setHSSLanguage
void setHSSLanguage(bool enabled)
QsciScintilla::setSelection
virtual void setSelection(int lineFrom, int indexFrom, int lineTo, int indexTo)
QsciLexerPOV::~QsciLexerPOV
virtual ~QsciLexerPOV()
Destroys the QsciLexerPOV instance.
QsciLexerTeX::processIf
bool processIf() const
Definition: qscilexertex.h:133
QsciLexerSpice
The QsciLexerSpice class encapsulates the Scintilla Spice lexer.
Definition: qscilexerspice.h:32
QsciLexerSQL::foldCompact
bool foldCompact() const
Definition: qscilexersql.h:195
QsciLexerCSS::blockStart
const char * blockStart(int *style=0) const
QsciCommand::description
QString description() const
The user friendly description of the command is returned.
QsciScintilla::setWrapMode
virtual void setWrapMode(WrapMode mode)
QsciScintilla::AutoCompletionUseSingle
AutoCompletionUseSingle
Definition: qsciscintilla.h:99
QsciScintilla::MarkerSymbol
MarkerSymbol
This enum defines the different pre-defined marker symbols.
Definition: qsciscintilla.h:353
QsciLexerDiff::defaultColor
QColor defaultColor(int style) const
Returns the foreground colour of the text for style number style.
QsciLexerCMake::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerPOV::defaultPaper
QColor defaultPaper(int style) const
QsciLexerVerilog::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerSQL::foldAtElse
bool foldAtElse() const
Definition: qscilexersql.h:185
QsciScintillaBase::SCN_USERLISTSELECTION
void SCN_USERLISTSELECTION(const char *selection, int id, int ch, int method)
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciLexerMakefile
The QsciLexerMakefile class encapsulates the Scintilla Makefile lexer.
Definition: qscilexermakefile.h:33
QsciScintilla::text
QString text() const
QsciScintillaBase::SCN_AUTOCSELECTION
void SCN_AUTOCSELECTION(const char *selection, int position)
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciScintilla::callTipsPosition
CallTipsPosition callTipsPosition() const
Definition: qsciscintilla.h:643
QsciScintilla
The QsciScintilla class implements a higher level, more Qt-like, API to the Scintilla editor widget.
Definition: qsciscintilla.h:60
QsciLexerJSON::setHighlightEscapeSequences
void setHighlightEscapeSequences(bool highlight)
QsciScintilla::contextMenuEvent
virtual void contextMenuEvent(QContextMenuEvent *e)
\reimp
QsciLexerOctave::QsciLexerOctave
QsciLexerOctave(QObject *parent=0)
QsciMacro::QsciMacro
QsciMacro(const QString &asc, QsciScintilla *parent)
QsciLexerPOV::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciLexerCoffeeScript::blockEnd
const char * blockEnd(int *style=0) const
QsciLexer::readSettings
bool readSettings(QSettings &qs, const char *prefix="/Scintilla")
QsciScintilla::AcsNone
@ AcsNone
No sources are used, ie. automatic auto-completion is disabled.
Definition: qsciscintilla.h:118
QsciScintillaBase::SCN_SAVEPOINTREACHED
void SCN_SAVEPOINTREACHED()
QsciScintilla::textHeight
int textHeight(int linenr) const
Returns the height in pixels of the text in line number linenr.
QsciScintilla::setCallTipsBackgroundColor
void setCallTipsBackgroundColor(const QColor &col)
QsciLexerPOV::description
QString description(int style) const
QsciLexerOctave::~QsciLexerOctave
virtual ~QsciLexerOctave()
Destroys the QsciLexerOctave instance.
QsciLexer::defaultPaper
virtual QColor defaultPaper(int style) const
Returns the default paper colour for style number style.
QsciScintillaBase::paintEvent
virtual void paintEvent(QPaintEvent *e)
Re-implemented to paint the viewport.
QsciScintilla::markerFindPrevious
int markerFindPrevious(int linenr, unsigned mask) const
QsciLexerBatch::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciScintilla::setCallTipsPosition
void setCallTipsPosition(CallTipsPosition position)
QsciLexerPostScript::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciScintilla::BoxedFoldStyle
@ BoxedFoldStyle
Boxed folding style using boxed plus and minus symbols.
Definition: qsciscintilla.h:220
QsciScintilla::read
bool read(QIODevice *io)
QsciLexerPOV::language
const char * language() const
Returns the name of the language.
QsciScintilla::zoomTo
virtual void zoomTo(int size)
QsciLexerCPP::foldComments
bool foldComments() const
Definition: qscilexercpp.h:237
QsciScintillaBase::SCN_HOTSPOTCLICK
void SCN_HOTSPOTCLICK(int position, int modifiers)
QsciScintilla::resetUnmatchedBraceIndicator
void resetUnmatchedBraceIndicator()
QsciScintillaBase::SC_MARGIN_FORE
@ SC_MARGIN_FORE
Definition: qsciscintillabase.h:2701
QsciLexerHex::defaultColor
QColor defaultColor(int style) const
Returns the foreground colour of the text for style number style.
QsciLexerPascal::setSmartHighlighting
void setSmartHighlighting(bool enabled)
QsciLexerCoffeeScript::~QsciLexerCoffeeScript
virtual ~QsciLexerCoffeeScript()
Destroys the QsciLexerCoffeeScript instance.
QsciScintilla::indentationWidth
int indentationWidth() const
QsciLexerMatlab::QsciLexerMatlab
QsciLexerMatlab(QObject *parent=0)
QsciScintilla::setUnmatchedBraceIndicator
void setUnmatchedBraceIndicator(int indicatorNumber)
QsciScintilla::CallTipsNoAutoCompletionContext
@ CallTipsNoAutoCompletionContext
Definition: qsciscintilla.h:169
QsciLexerJavaScript::language
const char * language() const
Returns the name of the language.
QsciScintillaBase::dragLeaveEvent
virtual void dragLeaveEvent(QDragLeaveEvent *e)
Re-implemented to handle drag leaves.
QsciLexerRuby
The QsciLexerRuby class encapsulates the Scintilla Ruby lexer.
Definition: qscilexerruby.h:32
QsciLexerCPP::blockStart
const char * blockStart(int *style=0) const
QsciLexerPerl::blockStart
const char * blockStart(int *style=0) const
QsciScintilla::zoomIn
virtual void zoomIn()
QsciLexerMakefile::defaultPaper
QColor defaultPaper(int style) const
QsciLexerD::setFoldAtElse
virtual void setFoldAtElse(bool fold)
QsciLexerFortran::QsciLexerFortran
QsciLexerFortran(QObject *parent=0)
QsciLexerAsm::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciScintilla::lineAt
int lineAt(const QPoint &point) const
QsciLexerAVS::foldCompact
bool foldCompact() const
QsciLexerPOV::foldDirectives
bool foldDirectives() const
QsciLexerD
The QsciLexerD class encapsulates the Scintilla D lexer.
Definition: qscilexerd.h:32
QsciLexer::wordCharacters
virtual const char * wordCharacters() const
QsciLexerCPP::setFoldComments
virtual void setFoldComments(bool fold)
QsciLexerLua::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciScintillaBase::SCN_AUTOCCANCELLED
void SCN_AUTOCCANCELLED()
QsciLexerCustom::styleBitsNeeded
virtual int styleBitsNeeded() const
QsciScintillaBase::focusInEvent
virtual void focusInEvent(QFocusEvent *e)
Re-implemented to tell Scintilla it has the focus.
QsciLexerPOV::foldCompact
bool foldCompact() const
QsciLexerTekHex::~QsciLexerTekHex
virtual ~QsciLexerTekHex()
Destroys the QsciLexerTekHex instance.
QsciLexerFortran::keywords
const char * keywords(int set) const
QsciScintilla::setMarginText
void setMarginText(int line, const QString &text, int style)
QsciLexerPO::defaultColor
QColor defaultColor(int style) const
QsciScintillaBase::SC_MARK_BOXPLUS
@ SC_MARK_BOXPLUS
A drawn plus sign in a box.
Definition: qsciscintillabase.h:2602
QsciScintillaBase::SCN_USERLISTSELECTION
void SCN_USERLISTSELECTION(const char *selection, int id, int ch, int method, int position)
QsciStyledText::style
int style() const
Returns the number of the style.
QsciLexerCSharp::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciScintilla::marginOptions
int marginOptions() const
QsciLexerRuby::foldCompact
bool foldCompact() const
Definition: qscilexerruby.h:214
QsciLexerVerilog::setFoldComments
void setFoldComments(bool fold)
QsciLexerPython::setStringsOverNewlineAllowed
void setStringsOverNewlineAllowed(bool allowed)
QsciScintilla::QsciScintilla
QsciScintilla(QWidget *parent=0)
Construct an empty QsciScintilla with parent parent.
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, unsigned long wParam, QPainter *hdc, const QRect &rc, long cpMin, long cpMax) const
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciLexerSQL::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciLexerPOV::foldComments
bool foldComments() const
QsciLexerAsm::description
QString description(int style) const
QsciLexerMatlab
The QsciLexerMatlab class encapsulates the Scintilla Matlab file lexer.
Definition: qscilexermatlab.h:33
QsciScintillaBase::QSCN_SELCHANGED
void QSCN_SELCHANGED(bool yes)
QsciLexerCSS::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciScintilla::clearMarginText
void clearMarginText(int line=-1)
QsciLexerYAML::~QsciLexerYAML
virtual ~QsciLexerYAML()
Destroys the QsciLexerYAML instance.
QsciScintilla::wordAtPoint
QString wordAtPoint(const QPoint &point) const
Returns the word at the point pixel coordinates.
QsciLexerLua::lexer
const char * lexer() const
QsciScintilla::markerDefine
int markerDefine(char ch, int markerNumber=-1)
QsciLexerMatlab::defaultColor
QColor defaultColor(int style) const
QsciLexerNASM::language
const char * language() const
Returns the name of the language.
QsciScintillaBase::SCN_MODIFYATTEMPTRO
void SCN_MODIFYATTEMPTRO()
QsciStyle::refresh
void refresh()
Refresh the style settings.
QsciLexerTeX::setFoldComments
void setFoldComments(bool fold)
QsciLexerNASM::lexer
const char * lexer() const
Returns the name of the lexer.
QsciScintilla::braceMatching
BraceMatch braceMatching() const
Definition: qsciscintilla.h:632
QsciScintilla::autoCompletionUseSingle
AutoCompletionUseSingle autoCompletionUseSingle() const
QsciLexerCMake
The QsciLexerCMake class encapsulates the Scintilla CMake lexer.
Definition: qscilexercmake.h:32
QsciScintilla::selectToMatchingBrace
virtual void selectToMatchingBrace()
QsciDocument::QsciDocument
QsciDocument()
Create a new unattached document.
QsciLexerD::blockEnd
const char * blockEnd(int *style=0) const
QsciLexerPython::foldComments
bool foldComments() const
Definition: qscilexerpython.h:188
QsciLexerCustom::~QsciLexerCustom
virtual ~QsciLexerCustom()
Destroy the QSciLexerCustom.
QsciScintilla::setCallTipsHighlightColor
void setCallTipsHighlightColor(const QColor &col)
QsciLexerCoffeeScript::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerRuby::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciLexerPython::QsciLexerPython
QsciLexerPython(QObject *parent=0)
QsciLexerPascal::refreshProperties
void refreshProperties()
QsciScintilla::isRedoAvailable
bool isRedoAvailable() const
QsciLexerCSS::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciScintilla::cut
virtual void cut()
QsciLexerTeX::language
const char * language() const
Returns the name of the language.
QsciLexerCoffeeScript::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciScintilla::foldLine
virtual void foldLine(int line)
QsciLexerHTML::foldScriptComments
bool foldScriptComments() const
Definition: qscilexerhtml.h:456
QsciLexerBash::description
QString description(int style) const
QsciAPIs::loadPrepared
bool loadPrepared(const QString &filename=QString())
QsciLexerPO::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciScintilla::tabWidth
int tabWidth() const
QsciLexerDiff::QsciLexerDiff
QsciLexerDiff(QObject *parent=0)
QsciLexer::defaultColor
virtual QColor defaultColor(int style) const
Returns the default text colour for style number style.
QsciLexerVHDL::lexer
const char * lexer() const
QsciScintilla::zoomOut
virtual void zoomOut(int range)
QsciScintilla::setMatchedBraceBackgroundColor
void setMatchedBraceBackgroundColor(const QColor &col)
QsciLexerMatlab::description
QString description(int style) const
QsciScintilla::CallTipsNoContext
@ CallTipsNoContext
Definition: qsciscintilla.h:163
QsciScintilla::CircledTreeFoldStyle
@ CircledTreeFoldStyle
Definition: qsciscintilla.h:224
QsciLexerSQL::setBackslashEscapes
virtual void setBackslashEscapes(bool enable)
QsciScintilla::annotate
void annotate(int line, const QString &text, int style)
QsciScintilla::setSelectionToEol
void setSelectionToEol(bool filled)
QsciLexerIDL::description
QString description(int style) const
QsciLexerJSON::foldCompact
bool foldCompact() const
Definition: qscilexerjson.h:156
QsciLexerFortran77::foldCompact
bool foldCompact() const
QsciLexerCPP::~QsciLexerCPP
virtual ~QsciLexerCPP()
Destroys the QsciLexerCPP instance.
QsciScintilla::clearAnnotations
void clearAnnotations(int line=-1)
QsciLexerPython::setHighlightSubidentifiers
void setHighlightSubidentifiers(bool enabled)
QsciLexerVerilog::setFoldAtElse
void setFoldAtElse(bool fold)
QsciStyledText
The QsciStyledText class is a container for a piece of text and the style used to display the text.
Definition: qscistyledtext.h:36
QsciLexerFortran::language
const char * language() const
Returns the name of the language.
QsciLexer::setDefaultColor
void setDefaultColor(const QColor &c)
QsciLexerCPP::blockEnd
const char * blockEnd(int *style=0) const
QsciScintilla::marginLineNumbers
bool marginLineNumbers(int margin) const
QsciLexerBatch::caseSensitive
bool caseSensitive() const
Returns true if the language is case sensitive. The default is true.
QsciLexerPascal::defaultPaper
QColor defaultPaper(int style) const
QsciLexerPO::foldCompact
bool foldCompact() const
QsciLexer::writeSettings
bool writeSettings(QSettings &qs, const char *prefix="/Scintilla") const
QsciLexerPostScript::description
QString description(int style) const
QsciScintillaBase::SC_MARK_FULLRECT
@ SC_MARK_FULLRECT
Definition: qsciscintillabase.h:2648
QsciScintillaBase::SC_MARK_LEFTRECT
@ SC_MARK_LEFTRECT
Definition: qsciscintillabase.h:2652
QsciLexerPO::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciScintilla::firstVisibleLine
int firstVisibleLine() const
QsciLexerCPP::blockStartKeyword
const char * blockStartKeyword(int *style=0) const
QsciLexerTekHex::language
const char * language() const
Returns the name of the language.
QsciLexerRuby::blockEnd
const char * blockEnd(int *style=0) const
QsciAPIs::updateAutoCompletionList
virtual void updateAutoCompletionList(const QStringList &context, QStringList &list)
\reimp
QsciLexerCPP::setHighlightTripleQuotedStrings
void setHighlightTripleQuotedStrings(bool enabled)
QsciLexerJSON::description
QString description(int style) const
QsciScintilla::fillIndicatorRange
void fillIndicatorRange(int lineFrom, int indexFrom, int lineTo, int indexTo, int indicatorNumber)
QsciLexerTCL
The QsciLexerTCL class encapsulates the Scintilla TCL lexer.
Definition: qscilexertcl.h:32
QsciLexerBash::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciScintilla::clearIndicatorRange
void clearIndicatorRange(int lineFrom, int indexFrom, int lineTo, int indexTo, int indicatorNumber)
QsciScintilla::callTip
virtual void callTip()
QsciLexerFortran77::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerPerl::setFoldPackages
void setFoldPackages(bool fold)
QsciScintilla::lineIndexFromPosition
void lineIndexFromPosition(int position, int *line, int *index) const
QsciScintilla::setBraceMatching
virtual void setBraceMatching(BraceMatch bm)
QsciLexerPascal::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerVerilog::setFoldPreprocessor
void setFoldPreprocessor(bool fold)
QsciScintillaBase::SCN_USERLISTSELECTION
void SCN_USERLISTSELECTION(const char *selection, int id)
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciLexerAsm::setFoldSyntaxBased
virtual void setFoldSyntaxBased(bool syntax_based)
QsciLexerLua::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerCPP::highlightBackQuotedStrings
bool highlightBackQuotedStrings() const
Definition: qscilexercpp.h:297
QsciLexerBatch::defaultColor
QColor defaultColor(int style) const
QsciScintilla::CallTipsAboveText
@ CallTipsAboveText
Call tips are placed above the text.
Definition: qsciscintilla.h:152
QsciScintilla::resetHotspotBackgroundColor
void resetHotspotBackgroundColor()
QsciScintillaBase::SC_MARK_LCORNERCURVE
@ SC_MARK_LCORNERCURVE
Definition: qsciscintillabase.h:2615
QsciLexerTCL::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciScintilla::margins
int margins() const
QsciLexerDiff::~QsciLexerDiff
virtual ~QsciLexerDiff()
Destroys the QsciLexerDiff instance.
QsciLexer::keywords
virtual const char * keywords(int set) const
QsciLexer::setDefaultPaper
void setDefaultPaper(const QColor &c)
QsciLexerVerilog::foldCompact
bool foldCompact() const
Definition: qscilexerverilog.h:202
QsciScintilla::AcsDocument
@ AcsDocument
The source is the current document.
Definition: qsciscintilla.h:124
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, unsigned long wParam, const QColor &col) const
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, unsigned long wParam, void *lParam) const
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, const QColor &col) const
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciLexerHTML::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciLexerSQL::setFoldOnlyBegin
void setFoldOnlyBegin(bool fold)
QsciLexerDiff::language
const char * language() const
Returns the name of the language.
QsciLexerCPP::highlightHashQuotedStrings
bool highlightHashQuotedStrings() const
Definition: qscilexercpp.h:286
QsciLexerCPP::setFoldPreprocessor
virtual void setFoldPreprocessor(bool fold)
QsciPrinter::wrapMode
QsciScintilla::WrapMode wrapMode() const
Definition: qsciprinter.h:103
QsciLexer::setColor
virtual void setColor(const QColor &c, int style=-1)
QsciLexerPO::setFoldComments
virtual void setFoldComments(bool fold)
QsciScintilla::tabIndents
bool tabIndents() const
QsciAbstractAPIs::callTips
virtual QStringList callTips(const QStringList &context, int commas, QsciScintilla::CallTipsStyle style, QList< int > &shifts)=0
QsciScintilla::scrollWidthTracking
bool scrollWidthTracking() const
QsciLexerFortran::~QsciLexerFortran
virtual ~QsciLexerFortran()
Destroys the QsciLexerFortran instance.
QsciScintilla::backspaceUnindents
bool backspaceUnindents() const
QsciLexerPascal::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciLexerMarkdown::lexer
const char * lexer() const
QsciLexer::blockStartKeyword
virtual const char * blockStartKeyword(int *style=0) const
QsciLexerPascal::autoCompletionWordSeparators
QStringList autoCompletionWordSeparators() const
QsciLexer::eolFillChanged
void eolFillChanged(bool eolfilled, int style)
QsciLexerRuby::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerPascal::foldCompact
bool foldCompact() const
QsciLexer::defaultEolFill
virtual bool defaultEolFill(int style) const
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, uintptr_t wParam, const char *lParam) const
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciLexerAVS::foldComments
bool foldComments() const
QsciCommandSet::clearKeys
void clearKeys()
The primary keys bindings for all commands are removed.
QsciScintillaBase::SCN_STYLENEEDED
void SCN_STYLENEEDED(int position)
QsciScintilla::AnnotationDisplay
AnnotationDisplay
This enum defines the different annotation display styles.
Definition: qsciscintilla.h:83
QsciScintilla::annotationDisplay
AnnotationDisplay annotationDisplay() const
QsciLexerProperties::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerTeX::~QsciLexerTeX
virtual ~QsciLexerTeX()
Destroys the QsciLexerTeX instance.
QsciLexerAsm::setFoldComments
virtual void setFoldComments(bool fold)
QsciLexerAVS::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciLexerCoffeeScript::lexer
const char * lexer() const
QsciLexerTCL::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciStyle::setStyle
void setStyle(int style)
Definition: qscistyle.h:82
QsciLexerPerl::foldComments
bool foldComments() const
QsciLexerPerl::keywords
const char * keywords(int set) const
QsciLexerDiff::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciScintilla::marginType
MarginType marginType(int margin) const
QsciLexerCPP::setDollarsAllowed
void setDollarsAllowed(bool allowed)
QsciLexerPerl::language
const char * language() const
Returns the name of the language.
QsciLexerSQL::lexer
const char * lexer() const
QsciLexerHTML::setFoldPreprocessor
virtual void setFoldPreprocessor(bool fold)
QsciLexerAsm::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerPython::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciLexerCPP::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciLexerTCL::refreshProperties
void refreshProperties()
QsciLexerD::blockStart
const char * blockStart(int *style=0) const
QsciLexerLua::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciScintilla::setExtraAscent
void setExtraAscent(int extra)
QsciLexerPerl::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciLexerPO
The QsciLexerPO class encapsulates the Scintilla PO lexer.
Definition: qscilexerpo.h:32
QsciCommand
The QsciCommand class represents an internal editor command that may have one or two keys bound to it...
Definition: qscicommand.h:40
QsciLexerPOV::defaultColor
QColor defaultColor(int style) const
QsciScintillaBase::SC_MARK_DOTDOTDOT
@ SC_MARK_DOTDOTDOT
Three drawn dots.
Definition: qsciscintillabase.h:2638
QsciLexerXML::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerCSharp::~QsciLexerCSharp
virtual ~QsciLexerCSharp()
Destroys the QsciLexerCSharp instance.
QsciLexerPostScript::setLevel
virtual void setLevel(int level)
QsciLexerVerilog::setFoldAtModule
void setFoldAtModule(bool fold)
QsciScintillaBase::replaceHorizontalScrollBar
void replaceHorizontalScrollBar(QScrollBar *scrollBar)
QsciLexerBash::defaultPaper
QColor defaultPaper(int style) const
QsciScintilla::registerImage
void registerImage(int id, const QImage &im)
QsciLexerPO::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciAPIs
The QsciAPIs class provies an implementation of the textual API information used in call tips and for...
Definition: qsciapis.h:66
QsciScintillaBase::keyPressEvent
virtual void keyPressEvent(QKeyEvent *e)
Re-implemented to handle key presses.
QsciScintillaBase::SCN_AUTOCCHARDELETED
void SCN_AUTOCCHARDELETED()
QsciStyle::setFont
void setFont(const QFont &font)
QsciLexerVerilog::lexer
const char * lexer() const
QsciScintillaBase::SCN_UPDATEUI
void SCN_UPDATEUI(int updated)
QsciAbstractAPIs::~QsciAbstractAPIs
virtual ~QsciAbstractAPIs()
Destroy the QsciAbstractAPIs instance.
QsciLexerPerl::foldAtElse
bool foldAtElse() const
Definition: qscilexerperl.h:237
QsciLexer::lexer
virtual const char * lexer() const
QsciLexerMakefile::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerVHDL::foldAtElse
bool foldAtElse() const
QsciLexerFortran77::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciScintillaBase::SC_MARK_TCORNERCURVE
@ SC_MARK_TCORNERCURVE
Definition: qsciscintillabase.h:2619
QsciLexerRuby::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciScintilla::setMarginsBackgroundColor
virtual void setMarginsBackgroundColor(const QColor &col)
QsciScintillaBase::SCN_DWELLSTART
void SCN_DWELLSTART(int position, int x, int y)
QsciLexerPO::description
QString description(int style) const
QsciScintilla::setEolMode
virtual void setEolMode(EolMode mode)
QsciScintilla::text
QString text(int line) const
QsciLexerCoffeeScript::keywords
const char * keywords(int set) const
QsciLexerPOV::refreshProperties
void refreshProperties()
QsciLexerCPP::autoCompletionWordSeparators
QStringList autoCompletionWordSeparators() const
QsciLexerXML::defaultColor
QColor defaultColor(int style) const
QsciLexerCSS::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciScintilla::autoCompleteFromAll
virtual void autoCompleteFromAll()
QsciLexerCoffeeScript::autoCompletionWordSeparators
QStringList autoCompletionWordSeparators() const
QsciLexerSRec
The QsciLexerSRec class encapsulates the Scintilla S-Record lexer.
Definition: qscilexersrec.h:32
QsciScintilla::modificationChanged
void modificationChanged(bool m)
QsciLexerEDIFACT::description
QString description(int style) const
QsciLexerPOV::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciScintilla::setMarginText
void setMarginText(int line, const QString &text, const QsciStyle &style)
QsciLexerIntelHex::~QsciLexerIntelHex
virtual ~QsciLexerIntelHex()
Destroys the QsciLexerIntelHex instance.
QsciLexerCustom::styleText
virtual void styleText(int start, int end)=0
QsciScintillaBase::SC_MARK_PLUS
@ SC_MARK_PLUS
A drawn plus sign.
Definition: qsciscintillabase.h:2589
QsciLexerAVS::refreshProperties
void refreshProperties()
QsciLexer::lexerId
virtual int lexerId() const
QsciLexerTCL::description
QString description(int style) const
QsciLexerYAML::setFoldComments
virtual void setFoldComments(bool fold)
QsciLexerVHDL::foldCompact
bool foldCompact() const
QsciLexerSQL::defaultColor
QColor defaultColor(int style) const
QsciLexerJSON::QsciLexerJSON
QsciLexerJSON(QObject *parent=0)
QsciLexerYAML::foldComments
bool foldComments() const
QsciLexerCPP::stylePreprocessor
bool stylePreprocessor() const
Definition: qscilexercpp.h:253
QsciLexerBatch::defaultPaper
QColor defaultPaper(int style) const
QsciScintilla::MarginType
MarginType
This enum defines the different margin types.
Definition: qsciscintilla.h:326
QsciLexerXML::lexer
const char * lexer() const
QsciScintilla::setCallTipsForegroundColor
void setCallTipsForegroundColor(const QColor &col)
QsciLexerXML::~QsciLexerXML
virtual ~QsciLexerXML()
Destroys the QsciLexerXML instance.
QsciLexerProperties::language
const char * language() const
Returns the name of the language.
QsciLexerLua::description
QString description(int style) const
QsciScintillaBase::pool
static QsciScintillaBase * pool()
QsciScintilla::autoCompletionReplaceWord
bool autoCompletionReplaceWord() const
QsciScintilla::setEdgeColor
void setEdgeColor(const QColor &col)
QsciLexerVHDL::QsciLexerVHDL
QsciLexerVHDL(QObject *parent=0)
QsciLexerCMake::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexer::braceStyle
virtual int braceStyle() const
Returns the style used for braces for brace matching.
QsciLexerPython::indentationWarning
QsciLexerPython::IndentationWarning indentationWarning() const
Definition: qscilexerpython.h:210
QsciLexerMatlab::language
const char * language() const
Returns the name of the language.
QsciLexer::blockStart
virtual const char * blockStart(int *style=0) const
QsciAbstractAPIs
The QsciAbstractAPIs class represents the interface to the textual API information used in call tips ...
Definition: qsciabstractapis.h:42
QsciLexerEDIFACT::language
const char * language() const
Returns the name of the language.
QsciLexerPerl::foldPackages
bool foldPackages() const
QsciScintilla::~QsciScintilla
virtual ~QsciScintilla()
Destroys the QsciScintilla instance.
QsciLexerVHDL::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciScintilla::setAutoCompletionUseSingle
virtual void setAutoCompletionUseSingle(AutoCompletionUseSingle single)
QsciScintilla::whitespaceVisibility
WhitespaceVisibility whitespaceVisibility() const
QsciLexerAsm::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciScintilla::setLexer
virtual void setLexer(QsciLexer *lexer=0)
QsciLexerBash::lexer
const char * lexer() const
QsciLexerMakefile::description
QString description(int style) const
QsciLexerPython::setV2UnicodeAllowed
void setV2UnicodeAllowed(bool allowed)
QsciLexerCSS::language
const char * language() const
Returns the name of the language.
QsciScintillaBase::SC_MARK_MINUS
@ SC_MARK_MINUS
A drawn minus sign.
Definition: qsciscintillabase.h:2586
QsciLexerJSON::highlightEscapeSequences
bool highlightEscapeSequences() const
Definition: qscilexerjson.h:145
QsciLexerHTML::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciScintilla::apiContext
virtual QStringList apiContext(int pos, int &context_start, int &last_word_start)
QsciScintilla::setIndentationGuidesBackgroundColor
virtual void setIndentationGuidesBackgroundColor(const QColor &col)
QsciScintilla::setUnmatchedBraceBackgroundColor
void setUnmatchedBraceBackgroundColor(const QColor &col)
QsciScintilla::indicatorClicked
void indicatorClicked(int line, int index, Qt::KeyboardModifiers state)
QsciLexerAsm::keywords
const char * keywords(int set) const
QsciScintillaBase::resizeEvent
virtual void resizeEvent(QResizeEvent *e)
Re-implemented to handle resizes.
QsciScintilla::eolMode
EolMode eolMode() const
QsciAPIs::isPrepared
bool isPrepared(const QString &filename=QString()) const
QsciLexerPO::lexer
const char * lexer() const
QsciLexerCPP::setHighlightBackQuotedStrings
void setHighlightBackQuotedStrings(bool enabled)
QsciLexerBash
The QsciLexerBash class encapsulates the Scintilla Bash lexer.
Definition: qscilexerbash.h:32
QsciScintilla::CircledFoldStyle
@ CircledFoldStyle
Circled folding style using circled plus and minus symbols.
Definition: qsciscintilla.h:217
QsciScintilla::setMarginsForegroundColor
virtual void setMarginsForegroundColor(const QColor &col)
QsciScintilla::setExtraDescent
void setExtraDescent(int extra)
QsciLexerProperties::lexer
const char * lexer() const
QsciScintilla::setWhitespaceSize
void setWhitespaceSize(int size)
QsciLexerIDL::language
const char * language() const
Returns the name of the language.
QsciScintillaBase::mouseMoveEvent
virtual void mouseMoveEvent(QMouseEvent *e)
Re-implemented to handle mouse moves.
QsciLexerTeX::foldCompact
bool foldCompact() const
Definition: qscilexertex.h:111
QsciScintillaBase::SCN_PAINTED
void SCN_PAINTED()
QsciLexerVerilog::defaultColor
QColor defaultColor(int style) const
QsciLexerJavaScript::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerAVS
The QsciLexerAVS class encapsulates the Scintilla AVS lexer.
Definition: qscilexeravs.h:32
QsciLexerCSS::~QsciLexerCSS
virtual ~QsciLexerCSS()
Destroys the QsciLexerCSS instance.
QsciLexerHTML::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerCSharp::QsciLexerCSharp
QsciLexerCSharp(QObject *parent=0)
QsciLexerHTML::refreshProperties
void refreshProperties()
QsciLexerRuby::~QsciLexerRuby
virtual ~QsciLexerRuby()
Destroys the QsciLexerRuby instance.
QsciLexerIntelHex::language
const char * language() const
Returns the name of the language.
QsciLexerPostScript::foldAtElse
bool foldAtElse() const
QsciLexerLua::autoCompletionWordSeparators
QStringList autoCompletionWordSeparators() const
QsciLexerCSS::QsciLexerCSS
QsciLexerCSS(QObject *parent=0)
QsciScintilla::setUtf8
virtual void setUtf8(bool cp)
QsciScintillaBase::~QsciScintillaBase
virtual ~QsciScintillaBase()
Destroys the QsciScintillaBase instance.
QsciLexerHTML::foldPreprocessor
bool foldPreprocessor() const
Definition: qscilexerhtml.h:445
QsciMacro::~QsciMacro
virtual ~QsciMacro()
Destroy the QsciMacro instance.
QsciScintilla::scrollWidth
int scrollWidth() const
QsciScintilla::CallTipsPosition
CallTipsPosition
This enum defines the different call tip positions.
Definition: qsciscintilla.h:147
QsciPrinter::QsciPrinter
QsciPrinter(PrinterMode mode=ScreenResolution)
Constructs a printer paint device with mode mode.
QsciLexerCoffeeScript::description
QString description(int style) const
QsciLexerVerilog::foldAtElse
bool foldAtElse() const
Definition: qscilexerverilog.h:180
QsciScintillaBase::SC_MARK_BACKGROUND
@ SC_MARK_BACKGROUND
Definition: qsciscintillabase.h:2635
QsciScintilla::setMarginType
void setMarginType(int margin, MarginType type)
QsciLexerTCL::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerD::foldComments
bool foldComments() const
QsciScintilla::setMatchedBraceIndicator
void setMatchedBraceIndicator(int indicatorNumber)
QsciLexerSQL::keywords
const char * keywords(int set) const
QsciScintilla::marginBackgroundColor
QColor marginBackgroundColor(int margin) const
QsciLexerPython::description
QString description(int style) const
QsciLexerTCL::~QsciLexerTCL
virtual ~QsciLexerTCL()
Destroys the QsciLexerTCL instance.
QsciScintilla::markerDefine
int markerDefine(MarkerSymbol sym, int markerNumber=-1)
QsciLexerAVS::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciScintilla::endUndoAction
void endUndoAction()
QsciMacro::QsciMacro
QsciMacro(QsciScintilla *parent)
Construct a QsciMacro with parent parent.
QsciLexerPython::setFoldCompact
void setFoldCompact(bool fold)
QsciScintilla::setMarginWidth
virtual void setMarginWidth(int margin, const QString &s)
QsciLexerSQL::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciScintilla::setAutoCompletionThreshold
virtual void setAutoCompletionThreshold(int thresh)
QsciLexerCSharp::defaultPaper
QColor defaultPaper(int style) const
QsciScintilla::redo
virtual void redo()
QsciLexerCoffeeScript::stylePreprocessor
bool stylePreprocessor() const
Definition: qscilexercoffeescript.h:226
QsciScintilla::positionFromLineIndex
int positionFromLineIndex(int line, int index) const
QsciLexerCPP::defaultPaper
QColor defaultPaper(int style) const
QsciScintillaBase::SCN_MARGINRIGHTCLICK
void SCN_MARGINRIGHTCLICK(int position, int modifiers, int margin)
QsciLexerVerilog::foldComments
bool foldComments() const
Definition: qscilexerverilog.h:191
QsciLexerAsm::refreshProperties
void refreshProperties()
QsciScintillaBase::toMimeData
virtual QMimeData * toMimeData(const QByteArray &text, bool rectangular) const
QsciScintillaBase::SCN_CALLTIPCLICK
void SCN_CALLTIPCLICK(int direction)
QsciLexerPO::QsciLexerPO
QsciLexerPO(QObject *parent=0)
QsciScintillaBase::inputMethodEvent
virtual void inputMethodEvent(QInputMethodEvent *event)
Re-implemented to handle composed characters.
QsciScintilla::cursorPositionChanged
void cursorPositionChanged(int line, int index)
QsciLexerMASM
The QsciLexerMASM class encapsulates the Scintilla MASM lexer.
Definition: qscilexermasm.h:32
QsciScintilla::setEdgeMode
void setEdgeMode(EdgeMode mode)
QsciLexerOctave::language
const char * language() const
Returns the name of the language.
QsciScintillaBase::mouseDoubleClickEvent
virtual void mouseDoubleClickEvent(QMouseEvent *e)
Re-implemented to handle mouse double-clicks.
QsciLexerTeX::keywords
const char * keywords(int set) const
QsciScintilla::autoCompletionSource
AutoCompletionSource autoCompletionSource() const
Definition: qsciscintilla.h:598
QsciScintilla::setMarginMarkerMask
virtual void setMarginMarkerMask(int margin, int mask)
QsciLexerCPP::setStylePreprocessor
virtual void setStylePreprocessor(bool style)
QsciLexerCoffeeScript::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciLexer::colorChanged
void colorChanged(const QColor &c, int style)
QsciLexerSQL::quotedIdentifiers
bool quotedIdentifiers() const
Definition: qscilexersql.h:229
QsciLexer::defaultColor
QColor defaultColor() const
QsciScintilla::wordAtLineIndex
QString wordAtLineIndex(int line, int index) const
QsciLexerProperties::~QsciLexerProperties
virtual ~QsciLexerProperties()
Destroys the QsciLexerProperties instance.
QsciScintilla::setMarginsFont
virtual void setMarginsFont(const QFont &f)
Set the font used in all margins to f.
QsciScintilla::setTabDrawMode
void setTabDrawMode(TabDrawMode mode)
QsciLexerVHDL::foldAtBegin
bool foldAtBegin() const
QsciScintillaBase::SC_MARGIN_COLOUR
@ SC_MARGIN_COLOUR
Definition: qsciscintillabase.h:2711
QsciLexerCPP::verbatimStringEscapeSequencesAllowed
bool verbatimStringEscapeSequencesAllowed() const
Definition: qscilexercpp.h:319
QsciScintilla::overwriteMode
bool overwriteMode() const
QsciScintillaBase::SC_MARGIN_NUMBER
@ SC_MARGIN_NUMBER
The margin will display line numbers.
Definition: qsciscintillabase.h:2693
QsciScintilla::setFirstVisibleLine
void setFirstVisibleLine(int linenr)
QsciLexerVHDL
The QsciLexerVHDL class encapsulates the Scintilla VHDL lexer.
Definition: qscilexervhdl.h:32
QsciLexer::color
virtual QColor color(int style) const
QsciLexerNASM::~QsciLexerNASM
virtual ~QsciLexerNASM()
Destroys the QsciLexerNASM instance.
QsciScintilla::annotate
void annotate(int line, const QString &text, const QsciStyle &style)
QsciLexerLua::defaultColor
QColor defaultColor(int style) const
QsciLexer::refreshProperties
virtual void refreshProperties()
QsciScintilla::clearRegisteredImages
void clearRegisteredImages()
QsciLexerCSS::description
QString description(int style) const
QsciLexerPython::v3BinaryOctalAllowed
bool v3BinaryOctalAllowed() const
Definition: qscilexerpython.h:258
QsciLexerMatlab::~QsciLexerMatlab
virtual ~QsciLexerMatlab()
Destroys the QsciLexerMatlab instance.
QsciLexerJava::~QsciLexerJava
virtual ~QsciLexerJava()
Destroys the QsciLexerJava instance.
QsciPrinter::magnification
int magnification() const
Definition: qsciprinter.h:76
QsciScintillaBase::SCN_AUTOCCOMPLETED
void SCN_AUTOCCOMPLETED(const char *selection, int position, int ch, int method)
QsciCommandSet
The QsciCommandSet class represents the set of all internal editor commands that may have keys bound.
Definition: qscicommandset.h:45
QsciScintillaBase::SCN_DWELLEND
void SCN_DWELLEND(int position, int x, int y)
QsciLexerNASM
The QsciLexerNASM class encapsulates the Scintilla NASM lexer.
Definition: qscilexernasm.h:32
QsciScintilla::hasSelectedText
bool hasSelectedText() const
Definition: qsciscintilla.h:882
QsciScintilla::color
QColor color() const
QsciScintillaBase::SC_MARK_ARROW
@ SC_MARK_ARROW
A triangle pointing to the right.
Definition: qsciscintillabase.h:2570
QsciLexerAsm::foldCompact
bool foldCompact() const
QsciLexerFortran77::~QsciLexerFortran77
virtual ~QsciLexerFortran77()
Destroys the QsciLexerFortran77 instance.
QsciScintillaBase::SCN_MACRORECORD
void SCN_MACRORECORD(unsigned int, unsigned long, void *)
QsciLexerPerl::refreshProperties
void refreshProperties()
QsciLexerVerilog::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciScintilla::AcsAll
@ AcsAll
The source is all available sources.
Definition: qsciscintilla.h:121
QsciLexerLua::keywords
const char * keywords(int set) const
QsciLexerCustom::setStyling
void setStyling(int length, int style)
QsciLexerProperties::defaultColor
QColor defaultColor(int style) const
QsciLexerPerl::defaultPaper
QColor defaultPaper(int style) const
QsciScintilla::setAutoCompletionFillups
void setAutoCompletionFillups(const char *fillups)
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, const char *lParam) const
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciLexerSQL::setDottedWords
void setDottedWords(bool enable)
QsciScintillaBase::SCN_SAVEPOINTLEFT
void SCN_SAVEPOINTLEFT()
QsciLexerTeX::lexer
const char * lexer() const
QsciLexerHTML::lexer
const char * lexer() const
QsciScintilla::setIndentation
virtual void setIndentation(int line, int indentation)
QsciScintillaBase::SC_MARK_BOXPLUSCONNECTED
@ SC_MARK_BOXPLUSCONNECTED
A drawn plus sign in a connected box.
Definition: qsciscintillabase.h:2605
QsciScintilla::append
virtual void append(const QString &text)
QsciLexerMakefile::~QsciLexerMakefile
virtual ~QsciLexerMakefile()
Destroys the QsciLexerMakefile instance.
QsciScintillaBase::changeEvent
virtual void changeEvent(QEvent *e)
\reimp
QsciScintilla::removeSelectedText
virtual void removeSelectedText()
QsciLexer::setFont
virtual void setFont(const QFont &f, int style=-1)
QsciLexerCSS::setFoldComments
virtual void setFoldComments(bool fold)
QsciLexerXML::setScriptsStyled
void setScriptsStyled(bool styled)
QsciScintillaBase::canInsertFromMimeData
virtual bool canInsertFromMimeData(const QMimeData *source) const
QsciLexerHex::defaultPaper
QColor defaultPaper(int style) const
QsciLexerCSharp::language
const char * language() const
Returns the name of the language.
QsciStyle::style
int style() const
Definition: qscistyle.h:88
QsciScintilla::WrapVisualFlag
WrapVisualFlag
This enum defines the different line wrap visual flags.
Definition: qsciscintilla.h:493
QsciLexerXML::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciAPIs::add
void add(const QString &entry)
QsciStyle::setChangeable
void setChangeable(bool changeable)
QsciScintilla::setHotspotForegroundColor
void setHotspotForegroundColor(const QColor &col)
QsciLexerVHDL::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerCPP::dollarsAllowed
bool dollarsAllowed() const
Definition: qscilexercpp.h:264
QsciLexerCPP::keywords
const char * keywords(int set) const
QsciScintilla::setBackspaceUnindents
virtual void setBackspaceUnindents(bool unindent)
QsciLexerIDL::~QsciLexerIDL
virtual ~QsciLexerIDL()
Destroys the QsciLexerIDL instance.
QsciLexerHTML::setDjangoTemplates
void setDjangoTemplates(bool enabled)
QsciLexerPerl::setFoldAtElse
void setFoldAtElse(bool fold)
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, long wParam) const
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciLexerJSON::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerJava::QsciLexerJava
QsciLexerJava(QObject *parent=0)
QsciScintillaBase::SC_MARK_LCORNER
@ SC_MARK_LCORNER
A bottom left corner drawn in the background colour.
Definition: qsciscintillabase.h:2595
QsciLexerYAML
The QsciLexerYAML class encapsulates the Scintilla YAML lexer.
Definition: qscilexeryaml.h:32
QsciLexerCSS::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerPython::~QsciLexerPython
virtual ~QsciLexerPython()
Destroys the QsciLexerPython instance.
QsciLexerBatch::description
QString description(int style) const
QsciLexer::writeProperties
virtual bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerVerilog::keywords
const char * keywords(int set) const
QsciLexer::defaultFont
QFont defaultFont() const
QsciLexerPostScript::refreshProperties
void refreshProperties()
QsciLexerD::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciLexerIDL::defaultColor
QColor defaultColor(int style) const
Returns the foreground colour of the text for style number style.
QsciScintilla::indent
virtual void indent(int line)
QsciScintilla::convertEols
void convertEols(EolMode mode)
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, long cpMin, long cpMax, char *lpstrText) const
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciScintilla::findFirst
virtual bool findFirst(const QString &expr, bool re, bool cs, bool wo, bool wrap, bool forward=true, int line=-1, int index=-1, bool show=true, bool posix=false, bool cxx11=false)
QsciLexer::blockLookback
virtual int blockLookback() const
QsciScintilla::clearFolds
void clearFolds()
QsciLexer::language
virtual const char * language() const =0
QsciScintilla::setCaretLineVisible
virtual void setCaretLineVisible(bool enable)
QsciLexerTeX::setProcessIf
void setProcessIf(bool enable)
QsciLexerPython::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerVerilog::refreshProperties
void refreshProperties()
QsciScintilla::setIndentationGuidesForegroundColor
virtual void setIndentationGuidesForegroundColor(const QColor &col)
QsciLexerJSON
The QsciLexerJSON class encapsulates the Scintilla JSON lexer.
Definition: qscilexerjson.h:32
QsciLexerCSS::lexer
const char * lexer() const
QsciLexerVerilog::setFoldCompact
void setFoldCompact(bool fold)
QsciLexerBash::keywords
const char * keywords(int set) const
QsciLexerCPP::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciScintilla::setUnmatchedBraceForegroundColor
void setUnmatchedBraceForegroundColor(const QColor &col)
QsciLexerSQL::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciScintillaBase::mousePressEvent
virtual void mousePressEvent(QMouseEvent *e)
Re-implemented to handle mouse presses.
QsciLexerDiff
The QsciLexerDiff class encapsulates the Scintilla Diff lexer.
Definition: qscilexerdiff.h:33
QsciLexerPOV
The QsciLexerPOV class encapsulates the Scintilla POV lexer.
Definition: qscilexerpov.h:32
QsciLexerD::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, int wParam) const
This is an overloaded member function, provided for convenience. It differs from the above function o...
QsciLexerD::foldAtElse
bool foldAtElse() const
QsciLexerFortran
The QsciLexerFortran class encapsulates the Scintilla Fortran lexer.
Definition: qscilexerfortran.h:32
QsciLexerCSS::setLessLanguage
void setLessLanguage(bool enabled)
QsciAPIs::defaultPreparedName
QString defaultPreparedName() const
QsciLexerD::refreshProperties
void refreshProperties()
QsciLexerD::keywords
const char * keywords(int set) const
QsciLexer::fontChanged
void fontChanged(const QFont &f, int style)
QsciLexerTCL::setFoldComments
void setFoldComments(bool fold)
QsciLexerCSS::foldCompact
bool foldCompact() const
QsciLexerAsm::defaultPaper
QColor defaultPaper(int style) const
QsciScintillaBase::SCN_AUTOCSELECTIONCHANGE
void SCN_AUTOCSELECTIONCHANGE(const char *selection, int id, int position)
QsciLexerPython::setFoldQuotes
virtual void setFoldQuotes(bool fold)
QsciScintilla::setReadOnly
virtual void setReadOnly(bool ro)
QsciScintilla::setTabIndents
virtual void setTabIndents(bool indent)
QsciLexerVerilog::~QsciLexerVerilog
virtual ~QsciLexerVerilog()
Destroys the QsciLexerVerilog instance.
QsciScintilla::selectedText
QString selectedText() const
QsciLexerPascal::smartHighlighting
bool smartHighlighting() const
QsciLexerPostScript::~QsciLexerPostScript
virtual ~QsciLexerPostScript()
Destroys the QsciLexerPostScript instance.
QsciScintilla::clearEdgeColumns
void clearEdgeColumns()
QsciScintilla::setWrapIndentMode
void setWrapIndentMode(WrapIndentMode mode)
QsciLexerSQL::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciScintilla::registerImage
void registerImage(int id, const QPixmap &pm)
QsciScintillaBase::SC_MARGIN_RTEXT
@ SC_MARGIN_RTEXT
The margin will display right justified text.
Definition: qsciscintillabase.h:2707
QsciScintilla::setPaper
virtual void setPaper(const QColor &c)
QsciLexerJavaScript::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerCPP
The QsciLexerCPP class encapsulates the Scintilla C++ lexer.
Definition: qscilexercpp.h:33
QsciScintilla::paper
QColor paper() const
QsciLexer::blockEnd
virtual const char * blockEnd(int *style=0) const
QsciPrinter
The QsciPrinter class is a sub-class of the Qt QPrinter class that is able to print the text of a Sci...
Definition: qsciprinter.h:51
QsciLexerHTML::djangoTemplates
bool djangoTemplates() const
Definition: qscilexerhtml.h:435
QsciLexerFortran77::defaultColor
QColor defaultColor(int style) const
QsciLexerVHDL::foldComments
bool foldComments() const
QsciLexerCPP::highlightTripleQuotedStrings
bool highlightTripleQuotedStrings() const
Definition: qscilexercpp.h:275
QsciLexerPerl
The QsciLexerPerl class encapsulates the Scintilla Perl lexer.
Definition: qscilexerperl.h:33
QsciLexerPerl::QsciLexerPerl
QsciLexerPerl(QObject *parent=0)
QsciLexerLua::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciScintilla::setIndicatorOutlineColor
void setIndicatorOutlineColor(const QColor &col, int indicatorNumber=-1)
QsciCommand::alternateKey
int alternateKey() const
Definition: qscicommand.h:383
QsciLexerFortran77::QsciLexerFortran77
QsciLexerFortran77(QObject *parent=0)
QsciScintilla::edgeColumn
int edgeColumn() const
QsciLexerPerl::description
QString description(int style) const
QsciScintillaBase::SCEN_CHANGE
void SCEN_CHANGE()
This signal is emitted when the document has changed for any reason.
QsciScintilla::document
QsciDocument document() const
Definition: qsciscintilla.h:710
QsciLexerPerl::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciScintilla::textChanged
void textChanged()
This signal is emitted whenever the text in the text edit changes.
QsciLexerJSON::defaultColor
QColor defaultColor(int style) const
QsciLexerBatch
The QsciLexerBatch class encapsulates the Scintilla batch file lexer.
Definition: qscilexerbatch.h:33
QsciLexerPython::IndentationWarning
IndentationWarning
Definition: qscilexerpython.h:104
QsciLexerVerilog::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciLexerRuby::description
QString description(int style) const
QsciLexerVHDL::setFoldComments
virtual void setFoldComments(bool fold)
QsciScintilla::setIndicatorHoverStyle
void setIndicatorHoverStyle(IndicatorStyle style, int indicatorNumber=-1)
QsciLexerCPP::foldCompact
bool foldCompact() const
Definition: qscilexercpp.h:242
QsciLexerPascal::setFoldPreprocessor
virtual void setFoldPreprocessor(bool fold)
QsciScintilla::markerFindNext
int markerFindNext(int linenr, unsigned mask) const
QsciScintilla::moveToMatchingBrace
virtual void moveToMatchingBrace()
QsciScintilla::setColor
virtual void setColor(const QColor &c)
QsciMacro::endRecording
virtual void endRecording()
Stop recording user commands.
QsciScintilla::IndicatorStyle
IndicatorStyle
This enum defines the different indicator styles.
Definition: qsciscintilla.h:232
QsciLexer::~QsciLexer
virtual ~QsciLexer()
Destroy the QSciLexer.
QsciScintilla::wordCharacters
const char * wordCharacters() const
QsciLexerMarkdown::description
QString description(int style) const
QsciStyle::paper
QColor paper() const
Definition: qscistyle.h:120
QsciScintilla::setCaretWidth
virtual void setCaretWidth(int width)
QsciLexerHex::QsciLexerHex
QsciLexerHex(QObject *parent=0)
QsciScintilla::setHotspotWrap
void setHotspotWrap(bool enable)
QsciLexerVHDL::setFoldAtBegin
virtual void setFoldAtBegin(bool fold)
QsciLexerSpice::keywords
const char * keywords(int set) const
QsciLexerSRec::description
QString description(int style) const
QsciLexer::setEolFill
virtual void setEolFill(bool eoffill, int style=-1)
QsciLexerSRec::QsciLexerSRec
QsciLexerSRec(QObject *parent=0)
QsciLexerLua::defaultPaper
QColor defaultPaper(int style) const
QsciLexerMarkdown::defaultColor
QColor defaultColor(int style) const
QsciLexerXML::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerCPP::defaultColor
QColor defaultColor(int style) const
QsciLexer::paper
virtual QColor paper(int style) const
QsciLexerTCL::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciPrinter::formatPage
virtual void formatPage(QPainter &painter, bool drawing, QRect &area, int pagenr)
QsciStyle::TextCase
TextCase
Definition: qscistyle.h:46
QsciLexerPython::foldQuotes
bool foldQuotes() const
Definition: qscilexerpython.h:204
QsciLexerPascal::setFoldComments
virtual void setFoldComments(bool fold)
QsciLexerPascal
The QsciLexerPascal class encapsulates the Scintilla Pascal lexer.
Definition: qscilexerpascal.h:32
QsciLexerProperties::description
QString description(int style) const
QsciLexerCoffeeScript
The QsciLexerCoffeeScript class encapsulates the Scintilla CoffeeScript lexer.
Definition: qscilexercoffeescript.h:33
QsciScintilla::findMatchingBrace
bool findMatchingBrace(long &brace, long &other, BraceMatch mode)
QsciLexerCMake::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciScintilla::markerDelete
void markerDelete(int linenr, int markerNumber=-1)
QsciLexerCPP::setHighlightEscapeSequences
void setHighlightEscapeSequences(bool enabled)
QsciLexerHTML::setMakoTemplates
void setMakoTemplates(bool enabled)
QsciLexerBatch::lexer
const char * lexer() const
QsciLexerTCL::defaultColor
QColor defaultColor(int style) const
QsciLexerJava::language
const char * language() const
Returns the name of the language.
QsciLexer::editor
QsciScintilla * editor() const
Definition: qscilexer.h:207
QsciLexerJSON::defaultPaper
QColor defaultPaper(int style) const
QsciLexerTeX::QsciLexerTeX
QsciLexerTeX(QObject *parent=0)
QsciLexerVerilog::description
QString description(int style) const
QsciLexerAsm::defaultColor
QColor defaultColor(int style) const
Returns the foreground colour of the text for style number style.
QsciLexerPostScript::lexer
const char * lexer() const
QsciLexerPOV::lexer
const char * lexer() const
QsciCommand::setAlternateKey
void setAlternateKey(int altkey)
QsciScintilla::lines
int lines() const
Returns the number of lines of text.
QsciLexerXML::scriptsStyled
bool scriptsStyled() const
QsciLexerPOV::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciStyledText::QsciStyledText
QsciStyledText(const QString &text, int style)
QsciScintillaBase::focusNextPrevChild
virtual bool focusNextPrevChild(bool next)
Re-implemented to allow tabs to be entered as text.
QsciScintilla::setContractedFolds
void setContractedFolds(const QList< int > &folds)
QsciScintilla::setAutoCompletionWordSeparators
void setAutoCompletionWordSeparators(const QStringList &separators)
QsciScintilla::resetMatchedBraceIndicator
void resetMatchedBraceIndicator()
QsciScintilla::EdgeMode
EdgeMode
This enum defines the different edge modes for long lines.
Definition: qsciscintilla.h:178
QsciLexerHTML::language
const char * language() const
Returns the name of the language.
QsciLexerFortran77::keywords
const char * keywords(int set) const
QsciMacro::play
virtual void play()
Play the macro.
QsciScintilla::setHotspotBackgroundColor
void setHotspotBackgroundColor(const QColor &col)
QsciScintilla::beginUndoAction
void beginUndoAction()
QsciAPIs::load
bool load(const QString &filename)
QsciLexerJavaScript::defaultPaper
QColor defaultPaper(int style) const
QsciScintilla::callTipsStyle
CallTipsStyle callTipsStyle() const
Definition: qsciscintilla.h:648
QsciLexerTeX::foldComments
bool foldComments() const
Definition: qscilexertex.h:100
QsciLexerPOV::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciScintillaBase::SendScintilla
long SendScintilla(unsigned int msg, unsigned long wParam=0, long lParam=0) const
QsciLexerXML::defaultPaper
QColor defaultPaper(int style) const
QsciLexerProperties::setInitialSpaces
void setInitialSpaces(bool enable)
QsciScintilla::setHotspotUnderline
void setHotspotUnderline(bool enable)
QsciLexerPerl::foldPODBlocks
bool foldPODBlocks() const
QsciLexerHTML::~QsciLexerHTML
virtual ~QsciLexerHTML()
Destroys the QsciLexerHTML instance.
QsciLexer::propertyChanged
void propertyChanged(const char *prop, const char *val)
QsciLexerPython::setV3BinaryOctalAllowed
void setV3BinaryOctalAllowed(bool allowed)
QsciLexerVerilog::QsciLexerVerilog
QsciLexerVerilog(QObject *parent=0)
QsciLexerMakefile::defaultColor
QColor defaultColor(int style) const
QsciScintilla::autoCompleteFromDocument
virtual void autoCompleteFromDocument()
QsciLexerHTML::QsciLexerHTML
QsciLexerHTML(QObject *parent=0)
QsciLexerVHDL::refreshProperties
void refreshProperties()
QsciLexerTCL::QsciLexerTCL
QsciLexerTCL(QObject *parent=0)
QsciLexerProperties::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerAsm::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerSQL::setQuotedIdentifiers
void setQuotedIdentifiers(bool enable)
QsciLexerLua::blockStart
const char * blockStart(int *style=0) const
QsciLexerLua
The QsciLexerLua class encapsulates the Scintilla Lua lexer.
Definition: qscilexerlua.h:33
QsciScintilla::lineLength
int lineLength(int line) const
QsciLexerAVS::QsciLexerAVS
QsciLexerAVS(QObject *parent=0)
QsciLexerPerl::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerCPP::setFoldAtElse
virtual void setFoldAtElse(bool fold)
QsciLexerPascal::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciLexerVerilog::defaultPaper
QColor defaultPaper(int style) const
QsciAPIs::apiPreparationCancelled
void apiPreparationCancelled()
QsciLexerVHDL::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciScintilla::autoIndent
bool autoIndent() const
Definition: qsciscintilla.h:615
QsciLexerRuby::QsciLexerRuby
QsciLexerRuby(QObject *parent=0)
QsciLexerPascal::QsciLexerPascal
QsciLexerPascal(QObject *parent=0)
QsciLexerFortran77::lexer
const char * lexer() const
QsciLexerSRec::~QsciLexerSRec
virtual ~QsciLexerSRec()
Destroys the QsciLexerSRec instance.
QsciLexerMatlab::keywords
const char * keywords(int set) const
QsciScintilla::setFoldMarginColors
void setFoldMarginColors(const QColor &fore, const QColor &back)
QsciLexerCoffeeScript::setFoldComments
void setFoldComments(bool fold)
QsciScintilla::CallTipsStyle
CallTipsStyle
This enum defines the different call tip styles.
Definition: qsciscintilla.h:156
QsciLexerTCL::language
const char * language() const
Returns the name of the language.
QsciScintilla::setMatchedBraceForegroundColor
void setMatchedBraceForegroundColor(const QColor &col)
QsciScintilla::setText
virtual void setText(const QString &text)
QsciLexerSQL::setFoldAtElse
void setFoldAtElse(bool fold)
QsciLexerBatch::language
const char * language() const
Returns the name of the language.
QsciLexerPython::lexer
const char * lexer() const
QsciLexerJavaScript::QsciLexerJavaScript
QsciLexerJavaScript(QObject *parent=0)
QsciLexerDiff::description
QString description(int style) const
QsciCommand::validKey
static bool validKey(int key)
If the key key is valid then true is returned.
QsciScintilla::AcusExplicit
@ AcusExplicit
Definition: qsciscintilla.h:108
QsciLexerCPP::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerIntelHex::description
QString description(int style) const
QsciLexerHex::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerPascal::blockEnd
const char * blockEnd(int *style=0) const
QsciLexerEDIFACT::QsciLexerEDIFACT
QsciLexerEDIFACT(QObject *parent=0)
QsciLexerJSON::setHighlightComments
void setHighlightComments(bool highlight)
QsciScintilla::WrapIndentMode
WrapIndentMode
This enum defines the different line wrap indentation modes.
Definition: qsciscintilla.h:508
QsciLexerProperties::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciScintilla::setOverwriteMode
void setOverwriteMode(bool overwrite)
QsciLexerLua::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciScintillaBase::focusOutEvent
virtual void focusOutEvent(QFocusEvent *e)
Re-implemented to tell Scintilla it has lost the focus.
QsciLexerProperties::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciLexerPO::~QsciLexerPO
virtual ~QsciLexerPO()
Destroys the QsciLexerPO instance.
QsciLexerYAML::keywords
const char * keywords(int set) const
QsciScintilla::setFont
void setFont(const QFont &f)
QsciLexerPostScript::defaultPaper
QColor defaultPaper(int style) const
QsciLexerIDL::keywords
const char * keywords(int set) const
QsciLexerYAML::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerLua::QsciLexerLua
QsciLexerLua(QObject *parent=0)
QsciLexerSpice::description
QString description(int style) const
QsciLexerD::~QsciLexerD
virtual ~QsciLexerD()
Destroys the QsciLexerD instance.
QsciScintilla::cancelFind
void cancelFind()
QsciAbstractAPIs::updateAutoCompletionList
virtual void updateAutoCompletionList(const QStringList &context, QStringList &list)=0
QsciScintillaBase::SC_MARK_SMALLRECT
@ SC_MARK_SMALLRECT
A smaller rectangle.
Definition: qsciscintillabase.h:2573
QsciScintilla::zoomIn
virtual void zoomIn(int range)
QsciLexerYAML::description
QString description(int style) const
QsciLexerRuby::foldComments
bool foldComments() const
Definition: qscilexerruby.h:203
QsciLexerLua::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciLexerJSON::keywords
const char * keywords(int set) const
QsciScintilla::setDocument
void setDocument(const QsciDocument &document)
QsciCommandSet::writeSettings
bool writeSettings(QSettings &qs, const char *prefix="/Scintilla")
QsciLexerMakefile::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciLexerCMake::setFoldAtElse
virtual void setFoldAtElse(bool fold)
QsciScintilla::setCursorPosition
virtual void setCursorPosition(int line, int index)
QsciLexerSpice::~QsciLexerSpice
virtual ~QsciLexerSpice()
Destroys the QsciLexerSpice instance.
QsciScintilla::setModified
virtual void setModified(bool m)
QsciLexerTekHex::lexer
const char * lexer() const
Returns the name of the lexer.
QsciLexerPython::defaultColor
QColor defaultColor(int style) const
QsciAPIs::cancelPreparation
void cancelPreparation()
QsciLexerYAML::QsciLexerYAML
QsciLexerYAML(QObject *parent=0)
QsciLexer::defaultFont
virtual QFont defaultFont(int style) const
Returns the default font for style number style.
QsciLexerBatch::keywords
const char * keywords(int set) const
QsciLexerPostScript::defaultColor
QColor defaultColor(int style) const
QsciLexerCustom::startStyling
void startStyling(int pos, int styleBits=0)
QsciLexerJavaScript::defaultColor
QColor defaultColor(int style) const
QsciLexerProperties::refreshProperties
void refreshProperties()
QsciLexerD::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerVHDL::keywords
const char * keywords(int set) const
QsciScintilla::setCaretLineFrameWidth
virtual void setCaretLineFrameWidth(int width)
QsciLexerPerl::setFoldCompact
virtual void setFoldCompact(bool fold)
QsciLexerTeX::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciLexerAVS::defaultColor
QColor defaultColor(int style) const
QsciScintilla::addEdgeColumn
void addEdgeColumn(int colnr, const QColor &col)
QsciLexerAVS::keywords
const char * keywords(int set) const
QsciScintillaBase::contextMenuEvent
virtual void contextMenuEvent(QContextMenuEvent *e)
Re-implemented to handle the context menu.
QsciScintillaBase::SC_MARK_ROUNDRECT
@ SC_MARK_ROUNDRECT
A rectangle.
Definition: qsciscintillabase.h:2567
QsciScintilla::isUndoAvailable
bool isUndoAvailable() const
QsciLexerBash::wordCharacters
const char * wordCharacters() const
Returns the string of characters that comprise a word.
QsciLexerCSS::LessLanguage
bool LessLanguage() const
Definition: qscilexercss.h:196
QsciScintilla::standardCommands
QsciCommandSet * standardCommands() const
The standard command set is returned.
Definition: qsciscintilla.h:1550
QsciStyle::setColor
void setColor(const QColor &color)
QsciScintilla::WrapFlagByText
@ WrapFlagByText
A wrap flag is displayed by the text.
Definition: qsciscintilla.h:498
QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK
void SCN_HOTSPOTDOUBLECLICK(int position, int modifiers)
QsciCommand::setKey
void setKey(int key)
QsciLexerIntelHex::QsciLexerIntelHex
QsciLexerIntelHex(QObject *parent=0)
QsciLexerProperties::initialSpaces
bool initialSpaces() const
Definition: qscilexerproperties.h:115
QsciScintilla::setMarginText
void setMarginText(int line, const QList< QsciStyledText > &text)
QsciScintillaBase::QsciScintillaBase
QsciScintillaBase(QWidget *parent=0)
Construct an empty QsciScintillaBase with parent parent.
QsciLexerPython::keywords
const char * keywords(int set) const
QsciLexerPython::defaultPaper
QColor defaultPaper(int style) const
QsciScintilla::annotation
QString annotation(int line) const
Returns the annotation on line line, if any.
QsciLexerPascal::defaultColor
QColor defaultColor(int style) const
QsciLexerYAML::language
const char * language() const
Returns the name of the language.
QsciMacro::startRecording
virtual void startRecording()
Start recording user commands and add them to the macro.
QsciLexerSpice::lexer
const char * lexer() const
QsciStyle::setVisible
void setVisible(bool visible)
QsciLexerRuby::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciScintilla::setAutoCompletionReplaceWord
virtual void setAutoCompletionReplaceWord(bool replace)
QsciLexerLua::foldCompact
bool foldCompact() const
QsciScintilla::markersAtLine
unsigned markersAtLine(int linenr) const
QsciLexer::caseSensitive
virtual bool caseSensitive() const
Returns true if the language is case sensitive. The default is true.
QsciLexerTCL::foldComments
bool foldComments() const
Definition: qscilexertcl.h:165
QsciLexerPascal::blockStartKeyword
const char * blockStartKeyword(int *style=0) const
QsciLexerTeX::description
QString description(int style) const
QsciLexerIDL::QsciLexerIDL
QsciLexerIDL(QObject *parent=0)
QsciLexerMakefile::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciStyle::setEolFill
void setEolFill(bool fill)
QsciScintilla::isListActive
bool isListActive() const
QsciLexerD::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciScintilla::edgeMode
EdgeMode edgeMode() const
QsciScintilla::extraDescent
int extraDescent() const
QsciLexerPython::stringsOverNewlineAllowed
bool stringsOverNewlineAllowed() const
Definition: qscilexerpython.h:234
QsciLexerMarkdown::language
const char * language() const
Returns the name of the language.
QsciScintilla::CallTipsNone
@ CallTipsNone
Call tips are disabled.
Definition: qsciscintilla.h:158
QsciLexerFortran77::description
QString description(int style) const
QsciLexerSpice::defaultFont
QFont defaultFont(int style) const
Returns the font for style number style.
QsciLexerPython::setFoldComments
virtual void setFoldComments(bool fold)
QsciLexerPostScript::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerYAML::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerCPP::setVerbatimStringEscapeSequencesAllowed
void setVerbatimStringEscapeSequencesAllowed(bool allowed)
QsciLexerPython::autoCompletionWordSeparators
QStringList autoCompletionWordSeparators() const
QsciLexerVerilog::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerPython::setIndentationWarning
virtual void setIndentationWarning(QsciLexerPython::IndentationWarning warn)
QsciLexerVHDL::~QsciLexerVHDL
virtual ~QsciLexerVHDL()
Destroys the QsciLexerVHDL instance.
QsciLexerAVS::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerFortran77::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.
QsciLexerHTML::keywords
const char * keywords(int set) const
QsciLexerCoffeeScript::braceStyle
int braceStyle() const
Returns the style used for braces for brace matching.